% 


%variable parameters:
pH = 1;
k2=4e10 ;  % [1/s] 1e13/2
H = 10^(-pH);
% fixed parameters or parameters of the system
pKa = 3.2;
k1 = 10^(pKa)*k2;  % [1/(s*mol/L)] % 1e18
v0 = 400/10; % [MHz] magnetic field
PPM0=250; % ppm zero offset frequency
Wnam=2*pi*(298-PPM0)*v0; % [rad/s] 100 ppm 15N at 9.4 T;
Whnam=2*pi*(204.5-PPM0)*v0; % [rad/s]
R2=2;

%K=sqrt(k1*k2*H);

%% calculation of average lifetime
TSC=(1/k2+1/(k1*H))/2*1e6



%% calculation of the NMR spectrum
[PPM,Spec] = ExAB_spectrum(Wnam,Whnam,R2,k1,k2,H,v0,PPM0);

figure('color','white')
plot(PPM, real(Spec));
xlabel('chemical shift (ppm)');


%% estimation of the distance in m
mu0=1.256*1e-6;        % N / A^2
gamma1H = 267.522*1e6; % rad/(s * T)
gamma15N = 27.116*1e6; % rad/(s * T)
h = 6.26*1e-34;        % J / Hz
hbar = 1.054*1e-34;    % J * s / rad
J=5000;                % Hz
r=(mu0*gamma1H*gamma15N*hbar^2/(4*pi*h*J))^(1/3)


