%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
LoadPath();
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tic 
%%%%%%%%%%%%%%%%%  ESOTHERIC, start from S, evolution during seq %%%%%%

System=Load_System_Name(52);
ex = Load_System(System);
%% 
%ex.B0=9.4;% Tesla
%ex.B0=0.57;% Tesla
ex.B0=0.001;% Tesla
SOTs{1} = "ESOTHERIC";
SOTs{2} = "ESOTHERICn1n2n3";
SOTs{3} = "ESOTHERICn1n2n3_CP";
SOTs{4} = "Goldman";
ex.SOT=SOTs{4};

ex.tau1 = 0.02088;% total_delay1,3: tau1=tau3
ex.tau2 = 0.03618;% total_delay2
ex.Goldman.n1=2;
ex.Goldman.n2=7;
ex.Goldman.echoes=2;
betas=linspace(-pi/2,pi/2,1000);

% "Goldman"
ex.H0 = 2*pi*HZJij(ex.S,ex.PPM,ex.J,ex.B0,"full");
[Q,E0] = eig(full(ex.H0));
r0 = DensityMatrix('100%_SingletSpinOrder',ex.S,ex.n1,ex.n2);%select spins
%r0 = r0.RemoveCoherences(Q); 
J13=ex.J(1,3);
J23=ex.J(2,3);
b=ex.J(1,2);
a=abs((J13-J23)/2);                
Om=sqrt(a^2+b^2);
TTg=atan(b/a);
t1G=1/(2*pi*Om)*acos((b/a)*(a^2-b^2)/(2*a^2));
t2G=1/(2*pi*Om)*acos(-sqrt(3*a^2-b^2)/(2*a));
t034G=1/(2*Om);
ex.TTg=TTg;                
ex.tau3=t034G;
Z_betas=zeros(1,length(betas));
for ib=1:length(betas)
    ex.Goldman.betas=[0.693243922968207	-0.488071599520284	0.371494698294689	-0.292914060101600	0.235440280179114	-0.191429565315370	 betas(ib)];
    rM = GOLDMAN(r0,ex.H0,ex.tau1,ex.tau2,ex.S,ex.eH,ex.eC,ex); 
    temp = rM.Amplitudes(ex.SOs);
    Z_betas(ib)=real(temp(end));
end






%%
plot(betas,Z_betas);
[m,n]=max(Z_betas*100)
% TIFBU system
%    0   1        2     3       4       5       6    7
%55.65   72.34    82    88      91.8    94.64  96.19 97.3126
%        0.6981 -0.4919 0.3649 -0.3015  0.238 -0.1745 0.1428
betas(n)*100000

save("out/"+ex.SOT+ex.System+"_"+num2str(ex.B0)+"T.mat","ex");
toc


%% beta
11
TG=ex.TTg;
betas=zeros(1,ex.Goldman.n2);
for k2=1:ex.Goldman.n2
    b1=(sin(2*TG))^2*(cos(2*TG))^(2*(k2));
    b2=1-(cos(2*TG))^(2*(k2));
    beta=atan(sqrt(b1/b2));
    if TG>pi/180*60
        beta=(-1)^(k2-1)*beta                   
    end
    betas(k2)=beta;
end