%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
System=Load_SABRE_System_Name(5);
ex=Load_SABRE_System(System);

ex.Folder="out\SLIC_SHEATH_SABRE_"+System+"_.mat";
%% kinetic parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.fpH = 1                             ; % pH2 fraction (1 - 100)%
%ex.Kd  = 30.001                        ; % [s^-1] dissociation rate
Kdv=[0.001,0.01,0.1,1,10,30];
for ik = 1:length(Kdv)
    ex.Kd = Kdv(ik);
    %%  parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    ex.B0  = 120e-6;%9.4                           % observation magnetic field [T]
    ex.t1v = 1e-3*10';
    ex.prebubble = 10;
    %% calculate pulsed SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    [rS, rC] = get_SABRE_initial_state(1,ex);
    %% spectrum parameters
    spec.pulse=pi/2;                 % excitation pulse [rad]
    spec.ph1='X'   ;
    %spec.phrec='-X';
    spec.B0=ex.B0 ;               % observation magnetic field [T]
    spec.v0_1H = spec.B0*ex.Sc.gamma{1}/(2*pi); % observation frequency, Hz
    spec.v0_X  = spec.B0*ex.Sc.gamma{end}/(2*pi); % observation frequency, Hz
    spec.SW=3000  ; % [Hz]
    spec.TD=1024*64 ; % spectral width and number of points in FID
    spec.Excitation.C = [3];
    %% calculate spectrum
    [spec] = SABRE_mod1_FID(ex,rC,spec);

    %% plot spectrum
    types_spec{1}="relative FRQ";
    types_spec{2}="absolute FRQ";
    % "all" "c", "s", "1H", "15N"... "1H_c", "1H_s", "15N_c", "15N_s"
    spec.axis=[1270 1300];
    plot_spectrum(System,ex,spec,types_spec{2},"all");

    %plot_spectrum(System,ex,spec,types_spec{2},"c")  ;
    %plot_spectrum(System,ex,spec,types_spec{2},"s")  ;
    %plot_spectrum(System,ex,spec,types_spec{2},"15N");
    %plot_4spectra(System,ex,spec,types_spec{2},"all");
    %%%%%%%%%%%%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end
    toc
