p=LoadPath();
hbar = 1.05457182*1e-34;
gamma=2.6752218744*1e8;
kb = 1.380649e-23;
Theta = 87.6;


T=0.03;
B=9.4;


nn_ratio = nn_ratio_calc(Theta,T);
BB = B*gamma*hbar/(kb*T);
P=(exp(-BB)-exp(BB))/(exp(-BB)+1+exp(BB)+1);

Tv=logspace(log10(10),log10(1e4),1201);
%Tv=linspace(1,300);
Bv=logspace(log10(1e3),log10(1e6),1200);
P=zeros(length(Tv),length(Bv));
for it = 1:length(Tv)    
    print_progress((it-1)/length(Tv));
    T=Tv(it);
    nn = nn_ratio_calc(Theta,T);
    for ib = 1:length(Bv)
        BB = Bv(ib)*gamma*hbar/(kb*T);    
        P(it,ib)=((exp(BB)-exp(-BB))/(exp(BB)+1+exp(-BB)+3*nn));
    end
end
%%
fig=figure('color','white');
fontsize(fig, 44, "points")
[X,Y] = meshgrid(log10(Bv),log10(Tv));
s=surf(X,Y,P);
s.EdgeColor = 'none';
hold on
[M, c]=contour3(X,Y,P,0.10:0.10:0.90);
c.LineWidth = 1;
c.EdgeColor = 'black';

colormap("parula");
hcb=colorbar;

view(2)
box on
ax = gca;
axis([log10(1e3),log10(1e6),log10(10),log10(1e4)])
set(ax,{'FontSize','LineWidth','Units'},{14,2,'points'}) 
ax.TickLength = [0.01 0.01];
ax.TickDir = 'out';
ax.XTick = [3,3.5,4,4.5,5,5.5,6];
shg
%grid off
zlabel('Polarization', 'FontSize', 18)
ylabel('log10(Temperature/1 K)', 'FontSize', 18)
xlabel('log10(Field/1 T)', 'FontSize', 18)
title(hcb,'Polarization','FontSize',18);
set(hcb.Title,{'Rotation','Position'},{90,[70,135,0]})

%%
function nn = nn_ratio_calc(Theta,T)
    n1=0;
    n2=0;
    for n=0:10
        J=2*n;
        n1=n1+(2*J+1)*exp(-J*(J+1)*Theta/T);
        J=2*n+1;
        n2=n2+3*(2*J+1)*exp(-J*(J+1)*Theta/T);
    end
    nn=n1/n2;
end