p=LoadPath();
Matrix = [2 0 +1;
          0 2 -1;
          0 -2 -1;
          -2 0 1];  
Points=1000;      
Pnet=linspace(-1,1,Points)*1.01;
Pa=linspace(-1,1,Points+1)*1.01;
Pzz=linspace(-1,1,Points+2)*1.01;
V=zeros(length(Pnet),length(Pa),length(Pzz));


for iPn = 1: length(Pnet)
    print_progress((iPn-1)/length(Pnet));
    for iPa = 1: length(Pa)
        for iPzz = 1: length(Pzz)
            P=[Pnet(iPn);Pa(iPa);Pzz(iPzz)];
            if all(Matrix*P<=3) && all(Matrix*P>=-1) && all(P>=-1) && all(P<=1)
                V(iPn,iPa,iPzz)=1;
            end
        end
    end
end



%%
f=figure('Name','Measured Data','Color','white');
ax = axes();
grid(ax,'on')
ax.set('FontSize',16,'FontName','Arial','TickDir','out','TickLength',[0.02 0.025],'XMinorTick','on','YMinorTick','on','Box','on','LineWidth',1);    
[x,y,z] = meshgrid(Pa,Pnet,Pzz); 

s = isosurface(x,y,z,V,1-1e-6);
p = patch(s,'FaceColor','red','EdgeColor','none');
isonormals(x,y,z,V,p) 
cdata = smooth3(rand(size(V)),'box',7);
isocolors(x,y,z,cdata,p)
daspect([1,1,1])
%view(-62,20);
view(3);
camlight(-80,+10) 
lighting gouraud;
xlabel('{\itP}_{anti}')  
ylabel('{\itP}_{net}')    
zlabel('{\itP}_{ZZ}')    
xticks(-1:0.5:1)
yticks(-1:0.5:1)
zticks(-1:0.5:1)


%% volume
volumeOfInterest = (V >1-1e-6);
volume = sum (volumeOfInterest(:))*(Pa(2)-Pa(1))*(Pnet(2)-Pnet(1))*(Pzz(2)-Pzz(1))

%pnet, panti, pzz
c1=[0,-1, -1];
c2=[0, 1, -1];
c3=[1, 0,  1];
c4=[-1,0,  1];
Volume=[c1-c4;c2-c4;c3-c4];
det(Volume)


[300, 1.3350;
 600, 1.3319;
 1000,1.3326]