%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
LoadPath();
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%  Spectroscopy(N=3), Classical Transition approach %%%%%%%%%%%%
tic
System_ID = 40;%
SOT.System = Load_System_Name(System_ID);
 

SOTs{1}="OPE-45-CPMG-Rn_2D";
SOTs{2}="OPE-45-CPMG-CPRn_2D";

SOT.name=SOTs{2};


in = load('out\sim_'+SOT.name+'_'+SOT.System+'.mat');
sim = in.sim;

plot_kinetics_2D(sim)
plot_kinetics_totaltime_2D(sim)

toc
%%%%% finish   Spectroscopy(N=3), Classical Transition approach %%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plot_kinetics_2D(sim)
    font_small = 18;
    font_large = 20;
    figure('Name','Spectrum','Color','white','NumberTitle','off','DefaultAxesFontSize',font_small,'Units','pixels','Position',[100,100,700,500]);
    ax=axes('Box','on','Position',[0.2 0.2 0.7 0.7]);    
    %colormap("parula");
    colormap("bone");
    [X,Y]=meshgrid(1e3*sim.tau,1:sim.nechoes);
    Z=sim.Y12*1;    
    Z=abs(Z)-min(min(abs(Z)));
    min(min(abs(Z)))
    %sur = surf(X,Y,Z,"EdgeColor","none"); 
    contourf(Y,X,Z,'edgecolor','none')
    ax.set('FontSize',20,'FontName','Arial','TickDir','out','TickLength',[0.02 0.025],'XMinorTick','on','YMinorTick','on','Box','on','LineWidth',3);  
    
    
    ylabel("\tau (ms)","FontSize",font_large)
    xlabel("numbe of echoes","FontSize",font_large)
    
    hcb=colorbar('Ticks',[0,0.1,0.2,0.3,0.4,0.5]);    
    ylabel(hcb,'|Polarization per proton|','FontSize',font_large,'Rotation',270);
    hcb.Label.Position(1) = 4.4;    
    axis([1,100,0,20,-50,50]);    
    view(2)
    drawnow;    
    saveas(gcf,'out\tau_n_'+sim.name+'_'+sim.System+'_image2D.png');
end

function plot_kinetics_totaltime_2D(sim)
    font_small = 18;
    font_large = 20;
    figure('Name','Spectrum','Color','white','NumberTitle','off','DefaultAxesFontSize',font_small,'Units','pixels','Position',[100,100,700,500]);
    ax=axes('Box','on','Position',[0.2 0.2 0.7 0.7]);    
    colormap("bone");        
    [X,Y]=meshgrid(1e3*sim.tau,1:sim.nechoes);
    Y=2*(1:sim.nechoes)'*(1e3*sim.tau);
            
    Z=sim.Y12*1;    
    Z=abs(Z)-min(min(abs(Z)));
    min(min(abs(Z)))
    
    contourf(Y,X,Z,'edgecolor','none')
    ax.set('FontSize',20,'FontName','Arial','TickDir','out','TickLength',[0.02 0.025],'XMinorTick','on','YMinorTick','on','Box','on','LineWidth',3);      
    ylabel("\tau (ms)","FontSize",font_large)
    xlabel("2n \tau (ms)","FontSize",font_large)
    
    hcb=colorbar('Ticks',[0,0.1,0.2,0.3,0.4,0.5]);    
    ylabel(hcb,'|Polarization per proton|','FontSize',font_large,'Rotation',270);
    hcb.Label.Position(1) = 4.4;    
    axis([1,1000,0,20,-50,50]);    
    view(2)
    drawnow;    
    saveas(gcf,'out\tau_totalt_'+sim.name+'_'+sim.System+'_image2D.png');
end





