
%in=load("out\SABRESHEATH_HH-C_B_Kd25.19MOD2.mat");
in=load("out\SABRESHEATH_HHN-1_B_Kd25MOD2.mat");
sim=in.ex;

K=sim.Wa/sim.Kd;
fs=1/(1+K);
fc=K/(1+K);

Field = sim.Bv;
Time = sim.tv;

figure('color','white')
hold on
Tbup=zeros(1,length(Field));

%% only plot
for ib =1:length(Field)
    Signal=0;
    % sum all spins in free form
    for ns=1:sim.Ss.N
        Signal=Signal+sim.Yout.s{ns}(:,ib)*fs*sim.Ss.g_gh{ns};
    end

    % % sum all spins in complex
    % for ns=1:sim.Sc.N
    %     Signal=Signal+sim.Yout.c{ns}(:,ib)*fc*sim.Sc.g_gh{ns};
    % end
    plot(Time,Signal); 
end

xlabel('time (s)')
ylabel('signal = Sum(P*g/(gh)*C) (a.u.)')
legend(num2str(1e9*Field')) % nT fields


%% plot and simulate exp
for ib =1:length(Field)
    Signal=0;
    % sum all spins in free form
    for ns=1:sim.Ss.N
        Signal=Signal+sim.Yout.s{ns}(:,ib)*fs*sim.Ss.g_gh{ns};
    end

    % sum all spins in complex
    for ns=1:sim.Sc.N
        Signal=Signal+sim.Yout.c{ns}(:,ib)*fc*sim.Sc.g_gh{ns};
    end
    [coef, meanerror]=exp_fit_1(Time',Signal)
    Tbup(ib)=coef(3);
    plot(Time,Signal,"Marker",'o');    
end

xlabel('time (s)')
ylabel('signal = Sum(P*g/(gh)*C) (a.u.)')
legend(num2str(1e9*Field')) % nT fields
%%
figure('color','white')
plot(Field*1e9,Tbup,'bo')
xlabel('Field (nT)')
ylabel('Tbup (s)')

%%
function [coef,meanerror]=exp_fit_1(x,y0)    
    %N=length(Time);
    %y=log(Signal);
    %T=(N*x*x'-sum(x)^2)/(sum(x)*sum(y)-N*x*y');
    [coef,meanerror]=fitexponential(x,y0,1e6,3); % to run programm type fitexponential(x,y) where x and y input vales
end





