%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

System=Load_System_Name(47); % 44 - AX; 47 - HH-1C-Pyruvate; 48 - HH-2C-Pyruvate; 
ex=Load_System(System);

ex.Folder="out\onefield"+System;
%% Field parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Bv=linspace(0.001,1,102)'*1e-6;   % delay/storage external magnetic field, T
%% calculate pulsed SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
r0=DensityMatrix('100%_SingletSpinOrder',ex.S,1,2);
Yout = zeros(length(ex.Bv),length(ex.SOs));
    
for ib=1:length(ex.Bv)            
    B=ex.Bv(ib);
    H=2*pi*HZJij(ex.S,ex.PPM,ex.J,B,"full");
    [Q,E] = eig(full(H));
    r=r0.RemoveCoherences(Q);                
    Yout(ib,:)=real(Amplitudes(r,ex.SOs));                    
end

% %% save data %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% save_all_onefield(System,Yout{1}*100,ex);
out = [ex.Bv Yout];
save(ex.Folder+".dat","out","-ASCII");
 
%% rhos
figure("Color","white")
plot(ex.Bv*1e9,Yout*100,"LineWidth",2);
legend(ex.SOsStr);
xlabel("B (nT)");
ylabel("Polarization (%)");
title("SABRE SHEATH ");
%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
