%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
p=LoadPath();
%% change parameters here
JAX=6; % AX spin coupling
spec.Relaxation = "Off"; % "Off" or "DD", "LFF"
%pAX_XZZ = 0.4; % polarization of the spin AX XZZ-spin order
spec.B0 = 0.005; % [T]
spec.R2=1/5; % phenomenological 1/T2* = [s-1]
spec.FWHM = spec.R2*pi; 
spec.SW=15  ; % spectral width [Hz]
spec.TD=1024*16*2 ; % spectral width and number of points in FID  
spec.RegNuc=1:5;
Folder = "out\SHEATH_SABRE_spectrum";
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
System=Load_System_Name(53); %AX is system 44 %A2X is system 45; %A3X is system 46 % A3XX 51  % A(1Hspin1)X 49     % A(1Hspin3/2)X 50
ex=Load_System(System,JAX);
ex.Folder=Folder+System+"_.mat";
spec.v0=ex.S.gamma{1}*spec.B0/(2*pi);%main frequency and detectin frequeny in ppm
spec.ppmrf=8e-6;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% SPECTRUM %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
H0=2*pi*HZJij(ex.S,ex.PPM,ex.J,spec.B0,"full");
[Q,E]=eig(full(H0));

req=DensityMatrix('100%_Magnetization',ex.S); %initial state
req=req.RemoveCoherences(Q);
req=req.RotationSuperOperator(pi/2,'Y',ex.S,spec.RegNuc); %rotation

[PPM, FRQ, SPEC]=req. Spectrum(H0,ex.S,spec.SW,spec.TD,spec.v0,spec.ppmrf,spec.RegNuc,spec.FWHM,'-X');
PlotSpec(PPM,SPEC);
SaveData('Spec.dat',[PPM FRQ],[real(SPEC) imag(SPEC)]);
toc
PlotSpec(FRQ,SPEC);
%%%%% finish   Spectroscopy(N=3), Classical Transition approach %%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%






