%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
p=LoadPath();
%% change parameters here
JAX=1.25; % AX spin coupling
spec.Relaxation = "LFF"; % "Off" or "DD", "LFF"
B0 = logspace(log10(1e-9),log10(1),101)'; % X, Y, Z fields in [T], observation field
Folder = "out\Relaxation_MF_";
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
System=Load_System_Name(47); %AX is system 41-1/2, 46-1,47-3/2
ex=Load_System(System,JAX);
ex.Folder=Folder+System+"_.mat";
%% calculate pulsed SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%r0   = DensityMatrix(ex.S.U + 0.5*(ex.S.Dir("Z",1) + ex.S.Dir("Z",2)));
r0   = DensityMatrix('100%_Magnetization',ex.S);
r0.ShowOperators(ex.S,1e-4);

%% spectrum parameters
ex.B0=B0; 
ex.T=zeros(length(ex.B0),2);
ex.Time=linspace(0,max(ex.T1)*5,2000);    
Rs=RLFF_EN(ex.S,ex.T1);
for ib=1:length(ex.B0)
    B=ex.B0(ib);
    HB=2*pi*HZJij(ex.S,ex.PPM,ex.J,B,"full"); 
    Ls=-1i*H2Super(HB)+Rs;
    [~,A,~]=r0.EvolutionConstL(Ls,ex.Time,ex.SOs(5:6));
    
    A=real(A);
    A(:,3)=0.5*(A(:,1)+A(:,2));
    plot(ex.Time,A);
    
    for in=1:3
        ex.T(ib,in)=trapz(A(:,in))*(ex.Time(2)-ex.Time(1));        
    end
end

%%

figure('color','white')
semilogx(B0,ex.T);
xlabel('Magnetic field (nT)')
ylabel('T_1 (s)')
legend({'A','X','AvgAX'})
out=[ex.B0,ex.T];
ex.System
save(Folder+ex.System+".txt","out","-ASCII")
save(Folder+ex.System+".m","ex")
%%%%%%%%%%%%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
