% this script was written by Charbel Assaf,
% the matrix were written by Andrey Pravdivtsev and Oleg 
% the main object is to fit EXSY data and to mesaure exchange rates
% by perfoming only one mixing time 
clear all
close all
tic 

p     = LoadPath()                                                         ;


%%%%%%%%%%%%%%%% 
Model_types{1} = 'CS=S2 SABRE'                                             ;
Model_types{2} = 'S-CS-S SABRE'                                            ;

Model_type     = Model_types  {1}                                          ;
%%
%%%%%%%%%%%%%%%%%%%%% systems parameters %%%%%%%%%%%%%%%%%%%%%%%%%%
File          = "G:\.shortcut-targets-by-id\1-XRbGQ-3Z93DOptEdwjJ6iviB1PC2QTI\2P_PHIP_and_more\paper_1H_SABRE_EXCHANGE\data\Table1\EXSY_Integrals";
data_in       = load(File + '.txt','-ASCII')                               ;

data.dmix     = data_in(:,1)                                               ;
data.IS       = data_in(:,2)                                               ;
data.ICsS2    = data_in(:,3)                                               ;
data.ICsS2S2  = data_in(:,4)                                               ;
data.IS2CsS2  = data_in(:,5)                                               ;


%%% n is the reference of the data in every list
n             =  1                                                         ; % Pyridine from 1,2,3,4,5   4AP 6,7,8,9,10    NAM 11,12,13,14,15    and the temperature for each one 280,283,288,293,298
dmix          = data.dmix    (n)                                           ; % mixing time in second
IS            = data.IS      (n)                                           ; % Integral of IS       or I free-free
ICsS2         = data.ICsS2   (n)                                           ; % Integral of ICsS2     or I eq-eq
ICsS2S2       = data.ICsS2S2 (n)                                           ; % Integral of ICsS2->S2 or I eq-free
IS2CsS2       = data.IS2CsS2 (n)                                           ; % Integral of IS2->CsS2 or I free-eq
Icross        = 0.5*(ICsS2S2 + IS2CsS2)                                    ; % Integral of Icross
errorIS       = 0.02*IS                                                    ;
errorICsS2    = 0.02*ICsS2                                                 ; 
errorIcross   = 0.01*Icross                                                ;


fprintf("results: \n")
switch Model_type

        
        case 'CS=S2 SABRE'
            
            K       = 2*(IS + Icross)/(ICsS2 + Icross)                     ;
            c       = (2 + K)                                              ;
            aa      = K*ICsS2+2*IS+c*Icross                                ;
            bb      = K*ICsS2+2*IS-c*Icross                                ;
            kd      = (2*K/(c*dmix))*log(aa/bb)                            ;
            kaprime = kd/K                                                 ;
           
        
            Kf      = 2*(IS*1.0001 + Icross)/(ICsS2 + Icross)              ;
            c       = (2 + Kf)                                             ;
            aa      = Kf*ICsS2+2*IS*1.0001+c*Icross                        ;
            bb      = Kf*ICsS2+2*IS*1.0001-c*Icross                        ;
            kdf     = (2*Kf/(c*dmix))*log(aa/bb)                           ;
            
            Ke      = 2*(IS + Icross)/(ICsS2*1.0001 + Icross)              ;
            c       = (2 + Ke)                                             ;
            aa      = Ke*ICsS2*1.0001+2*IS+c*Icross                        ;
            bb      = Ke*ICsS2*1.0001+2*IS-c*Icross                        ;
            kde     = (2*Ke/(c*dmix))*log(aa/bb)                           ;
            
            Kcross  = 2*(IS + Icross*1.0001)/(ICsS2 + Icross*1.0001)       ;
            c       = (2 + Kcross)                                         ;
            aa      = Kcross*ICsS2+2*IS+c*Icross*1.0001                    ;
            bb      = Kcross*ICsS2+2*IS-c*Icross*1.0001                    ;
            kdcross = (2*Kcross/(c*dmix))*log(aa/bb)                       ;
            
            dkfdIf  = (kdf - kd) / (IS*0.0001)                             ;
            dkedIe  = (kde - kd) / (ICsS2*0.0001)                          ;
            dkcrossdIcross = (kdcross - kd) / (Icross*0.0001)              ;
                  
            errorkd = sqrt(((dkfdIf)^2*(errorIS)^2) + ((dkedIe)^2*(errorICsS2)^2) + ((dkcrossdIcross)^2*(errorIcross)^2));
            
            fprintf("Model  has kd = %.2f ± %.4f s-1 ,ka' = %.2f s-1.mmol/L \n",kd,errorkd,kaprime)
            
        case 'S-CS-S SABRE'

            K       = (IS2 + Icross)/(ICsS2 + Icross)                      ;
            Kprime  = K/2                                                  ;
            c       = (1 + K)                                              ;
            aa      = Kprime*ICsS2+IS2+c*Icross                            ;
            bb      = Kprime*ICsS2+IS2-c*Icross                            ;
            kd      = (Kprime/(c*dmix))*log(aa/bb)                         ;
            ka      = kd/Kprime                                            ;
            fprintf("Model  has kd = %.2f s-1,ka' = %.2f s-1.mmol/L \n",kd,ka)
end 








 
toc 