% Program to calculate the enhancement and the polarization
% Fill manually the values
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
close all 
tic
p       = LoadPath('CA')                                                   ;

S       = SpinOperators(1,{'15N'})                                         ;   % You have to put the Isotope mass number 


Ratio   = 0.06                                                           ; % (InteHP/InteTP) calculated by MestReNova 
NsTP    = 150                                                              ; % Number of scan for thermal spectrum (scans)
NsHP    = 1                                                                ; % Number of scan for Hyperpolarized spectrum (scans)
aTP     = 90                                                               ; % Angle of radiofrequeny pulse B1 thermal signal(degree)
aHP     = 90                                                               ; % Angle of radiofrequeny pulse B1 Hyperpolarized signal (degree)
RGTP    = 1                                                                ; % Receiver gain of thermal spectrum 
RGHP    = 1                                                                ; % Receiver gain of Hyperpolarized spectrum 
CHP     = 4*0.00365                                                        ; % Concentration of the hyperpolarized spin
CTH     = 28                                                               ; % Concentration of the thermal spin 
Tratio  = 293/280                                                          ; % temperature ratio TH/HP
Pratio  = 0.2/8.5                                                          ; % pressure of the bubbling of the TH/HP


Enh     = Ratio*(NsTP/NsHP)*(sind(aTP)/sind(aHP))*(RGTP/RGHP)*(CTH/CHP)    ; % enhancement
Enh    

B0      = 9.4                                                              ; % Bo field (T)
Y       = S.gamma{1}                                                       ; % Gyromagnetic ratio (Hz.T^-1) 
hbar    = 1.0546e-34                                                       ; % Reduced plank's constant (h/2*pi) (J.s)  
Kb      = 1.380649e-23                                                     ; % Boltzman's constant  (J.K^-1)
T       = 293                                                              ; % Temperature (K)

P       = ((Enh*Y*B0*hbar)/(2*Kb*T))*100                                   ; % Polarization formula
P

Ph2     = 85                                                               ; % Pourcentage of parahydrogen used (%)
PHIPp   = ((4*(Ph2/100))-1)/3                                              ;  
PHIP100 = 1                                                                ;    
P100    = (P*PHIP100)/PHIPp                                                
% 
% 
% Enh       = (-P100*2*Kb*T)/((Y*B0*hbar)*100)                                   % Polarization formula
%%
toc