%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all                                                                  ; % clear all and delete all previous data
% <<<<<<< HEAD
% %close all                                                                  ; % close all tabs
% LoadPath('AP')                                                             ;
% =======
%close all                                                                 ; % close all tabs
LoadPath('CA')                                                             ;
% >>>>>>> c8f2e9e19c6cf620799d17821205b50eca208e39
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% tic 
%%%%%%%%%%%%%%%%%  ESOTHERIC, start from S, evolution during seq %%%%%%

System        = Load_System_Name(36)                                       ; % use systems     System{34}="SABRE-AAXX";  System{36}="SABRE-AAX";
ex            = Load_System(System)                                        ;
%% 
ex.B0         = 9.4                                                        ; % Tesla
%ex.B0        = 0.57                                                       ; % Tesla
SOTs{1}       = "ESOTHERIC"                                                ;
SOTs{2}       = "phINEPTplus"                                              ;
ex.SOT        = SOTs{2}                                                    ;                           

ex.tau1v      = linspace(0.0,0.0900,40)'                                   ; % total_delay1,3: tau1=tau3 this is total time! somewhere it is 2tau
ex.tau2v      = linspace(0.0,0.0400,40)'                                   ; % total_delay2 this is total time! somewhere it is 2tau
ex.nRef       = [3,3,3]                                                    ;
ex            = get_INEPTmap(ex)                                           ;
Z1            = ex.Amplitudes.X                                            ; % intensities of the first SOTs
fprintf('maximum polarization of phINEPTplus before dissociation is %.4f\n ',max(max(Z1)))       ;


% plot_Ymap(ex,ex.Amplitudes,ex.tau2v,ex.tau1v)                              ; % switch tau1 and tau2

ex.SOT        = SOTs{1}                                                    ;
ex            = get_INEPTmap(ex)                                           ;
%plot_Ymap(ex,ex.Amplitudes,ex.tau2v,ex.tau1v)                              ; % switch tau1 and tau2
Z2            = ex.Amplitudes.X                                            ; % intensities of the second SOTs
fprintf('maximum polarization of ESOTHERIC before dissociation is %.4f\n ',max(max(Z2)))        ;

%%%%% normalizying both matrix %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
MAX           = max([max(max(Z1)) max(max(Z2))])                           ;
Z1            = -Z1/MAX                                                    ; % 66.878463833340020
Z2            = Z2/MAX                                                     ; % 66.878463833340020

%%%% creating a Matrix to apply decaying %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

T1            = length(ex.tau1v)                                           ;
T2            = length(ex.tau2v)                                           ;
DESOTHERIC    = zeros(T2, T1)                                              ;
DphINEPTplus  = zeros(T2, T1)                                              ;
kd            = 2.7                                                        ; % 0 means no dissociation

for itau1 = 1:T1                                            
    tau1 = ex.tau1v(itau1)                                                 ;    
    for itau2 = 1:T2        
        tau2  = ex.tau2v(itau2)                                            ;

        DESOTHERIC(itau2, itau1)   = exp(-kd*(2*tau1 + tau2))              ;  
        DphINEPTplus(itau2, itau1) = exp(-kd*(tau1 + tau2))                ;  
    end
end

%%%%%%%%%% Applying the dissociation effect on the Matrice %%%%%%%%%%%%%%%%

Z1 = Z1.*DphINEPTplus                                                      ;
Z2 = Z2.*DESOTHERIC                                                        ;
fprintf('maximum polarization of phINEPTplus after dissociation is %.4f\n ',max(max(Z1))*MAX)       ;
fprintf('maximum polarization of ESOTHERIC   after dissociation is %.4f\n ',max(max(Z2))*MAX)       ;
%%
levels        = -1.1:0.01:1                                                ; 
    figure('Name','MAX Polarisation Transfer','Color','white','Position',[700 0 750 1500],'DefaultAxesFontSize',26)
    colormap("parula")                                                        ;
    ax            = axes('Box','on')                                       ; 
    tiledlayout(2,1)                                                       ;  
    NEWX = ex.tau1v*1000/2                                                 ; % to plot in (ms)    
    NEWY = ex.tau2v*1000/2                                                 ; % to plot in (ms) 
    [X,Y]         = meshgrid(NEWY,NEWX)                                    ;
    
    nexttile
    contourf(X,Y,Z1,levels,'edgecolor','none')
    axis([min(NEWY),max(NEWY),4,20])                                       ;
    %axis([0,0.04,0,0.05])                                                 ;
    caxis([-1,1])                                                          ;
    b             = gca                                                    ;
    xticks(min(NEWY):2:max(NEWY)) 
    yticks(4:2:20)  
    b.YAxis.TickLength = [0.035 0.2]                                       ;
    b.XAxis.TickLength = [0.035 0.2]                                       ;
    b.TickDir          = 'out'                                             ;
    b.XAxis.LineWidth  = 2                                                 ;
    b.YAxis.LineWidth  = 2                                                 ; 
    %xlabel('t_2 (ms)') 
    %ylabel('t_1 (ms)')
    xtickangle(0)
    %a = colorbar('Ticks',[-1,-0.8,-0.6,-0.4,-0.2,0,0.2,0.4,0.6,0.8,1],'LineWidth',2) ;
    
    nexttile
    contourf(X,Y,Z2,levels,'edgecolor','none')
    axis([min(NEWY),max(NEWY),4,20])                                       ;
    %axis([0,0.04,0,0.05])                                                 ;
    caxis([-1,1])                                                          ;
    d = gca                                                                ;
    xticks(min(NEWY):2:max(NEWY)) 
    yticks(4:2:20)
    d.YAxis.TickLength = [0.035 0.2]                                       ;
    d.XAxis.TickLength = [0.035 0.2]                                       ;
    d.TickDir          = 'out'                                             ;
    d.XAxis.LineWidth  = 2                                                 ;
    d.YAxis.LineWidth  = 2                                                 ;
    %xlabel('t_2 (ms)')
    %ylabel('t_1 (ms)')
    xtickangle(0)
    a = colorbar('Ticks',[-1,-0.8,-0.6,-0.4,-0.2,0,0.2,0.4,0.6,0.8,1],'LineWidth',2) ;
% save("out/"+ex.SOT+ex.System+"_"+num2str(ex.B0)+"T.mat","ex")            ;
toc


