% detailed simulations
x=-ex.vrfv;  
plot(x,(Yout.c{1}(:,:,end))*100)

% simplified analytics
voff=linspace(-30,30,100); % offset frequency
v0=535.5; % off set frq
vCW=11.77; % B1 Hz
sinT=vCW./sqrt((vCW^2+voff.^2));
hold on
plot(voff+v0,55*sinT.^8,"Color","r","LineWidth",3)
hold off
legend("numerical simulations","analytics")


%% in fields
% simplified analytics
voff=linspace(-30,30,100); % offset frequency
gamma13C=10.705; % MHz/T
B0=51; % main field, center, uT
v0=B0*gamma13C; % frequcy of 13C at B0
B1=2; % uT
vCW=B1*gamma13C; % B1 Hz
sinT=vCW./sqrt((vCW^2+voff.^2));
x=(voff+v0)/gamma13C;
y=2.5*sinT.^8;
plot(x,y,"Color","r","LineWidth",3)

hold on
xdata=[52.5,52,51,50.5,50,50,49.5,49,48.5,48,51.5];
ydata=[0.36893,2.03859,2.38682,2.20331,1.83671,1.83671,0.97155,0.67746,0.06645,0.13905,2.36841];
plot(xdata,ydata,"*")
hold off