

rpA = load("out\ZULF_COSY_A3X_pA.mat");
rpA = rpA.spec;
rpX = load("out\ZULF_COSY_A3X_pX.mat");
rpX = rpX.spec;
rp4z = load("out\ZULF_COSY_A3X_p4z.mat");
rp4z = rp4z.spec;
rp3z = load("out\ZULF_COSY_A3X_p3z.mat");
rp3z = rp3z.spec;
rp2z = load("out\ZULF_COSY_A3X_p2z.mat");
rp2z = rp2z.spec;

pA=-1;
pX=10;
p4z = 0;
p3z = -50;
p2z = 0;


spec.spec.Y = pA*rpA.spec.Y+...
              pX*rpX.spec.Y+...
              p4z*rp4z.spec.Y+...
              p3z*rp3z.spec.Y+...
              p2z*rp2z.spec.Y;

spec.spec.X = pA*rpA.spec.X+...
              pX*rpX.spec.X+...
              p4z*rp4z.spec.X+...
              p3z*rp3z.spec.X+...
              p2z*rp2z.spec.X;





%% choose relevant data
f=spec.FRQ2;
%ind_f=find(0 <= f & f <=f(end));
ind_A = find((va(end)-xaxiswidth) < f & f <(va(end)+xaxiswidth));
ind_X = find((vX(end)-xaxiswidth) < f & f <(vX(end)+xaxiswidth));
f_A = f(ind_A);
f_X = f(ind_X);
Fl_A=min(f_A);
Fl_X=min(f_X);
Fh_A=max(f_A);
Fh_X=max(f_X);
cosy_A=abs(spec.spec.Y(ind_A,:)).';
cosy_X=abs(spec.spec.Y(ind_X,:)).';
%% calculate projections
%calculate the high field projection for A (mostly hydrogen) 
hfspec_A=zeros(length(cosy_A(1,:)),1); %Length of one row (how many columns do we have) 
for a =1:length(cosy_A(1,:))        %loop over all columns
   hfspec_A(a)=mean(cosy_A(:,a));   %average over the column a
end
%calculate the evolution field projection for A (mostly hydrogen)
efspec_A=zeros(length(cosy_A(:,1)),1); %length of one column (how many rows do we have) 
for a =1:length(cosy_A(:,1))            %loop over all rows
        efspec_A(a)=mean(cosy_A(a,:));  %average over row a
end
%calculate the high field projection for X (here 19F)
hfspec_X=zeros(length(cosy_X(1,:)),1); %Length of one row (how many columns do we have) 
for a =1:length(cosy_X(1,:))          %loop over all columns
   hfspec_X(a)=mean(cosy_X(:,a));     %average over the column a
end
%calculate the evolution field projection for X (here 19F)
efspec_X=zeros(length(cosy_X(:,1)),1);  %length of one column (how many rows do we have) 
for a =1:length(cosy_A(:,1))            %loop over all rows
        efspec_X(a)=mean(cosy_X(a,:));  %average over row a
end
%% perform COSY plots%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f2 =spec.FRQ1; %frequency axis for the low field
cup_X = max(max(cosy_X))/colorbarratio_X_cosy; %range of the colorbar
cup_A = max(max(cosy_A))/colorbarratio_A_cosy;
fig1=figure;
fig1.Position=[400 200 totalsizex totalsizey];
pos1 = [bgap bgap+ylongside+sgap xlongside shortside];
pos2=[bgap bgap xlongside ylongside];
pos3= [bgap+xlongside+sgap bgap shortside ylongside];
pos4=[bgap+xlongside+sgap+shortside+sgap bgap cbwidth ylongside];
subplot('Position',pos1);
plot(f_X,(hfspec_X))
xlim([Fl_X Fh_X])
set(gca,'visible','off')
subplot('Position',pos2);
imagesc(f_X,f2,cosy_X)
set(gca,'YDir','normal')
clim([0 cup_X])
set(colorbar,'Position',pos4,'FontSize',FontSize,'Box','off')
view(2)
axis([min(f_X), max(f_X),min(f2), max(f2)])
ylabel("Frequency1 (indirect) (Hz)");
xlabel("Frequency2 (direct) (Hz)");
ax = gca;
ax.FontSize = FontSize; 
subplot('Position',pos3);
plot(f2,(efspec_X))
xlim([-yaxiswidth yaxiswidth])
set(gca,'visible','off','XDir','reverse')
camroll(-90)
fontname("Calibri")
saveas(fig1,'simu_Pyridine_C','svg');
fig2=figure;
fig2.Position=[400 200 totalsizex totalsizey];
subplot('Position',pos1);
plot(f_A,(hfspec_A))
xlim([Fl_A Fh_A])
set(gca,'visible','off')
subplot('Position',pos2);
imagesc(f_A,f2,cosy_A)
set(gca,'YDir','normal')
clim([0 cup_A])
set(colorbar,'Position',pos4,'FontSize',FontSize,'Box','off')
view(2)
axis([min(f_A), max(f_A),min(f2), max(f2)])
ylabel("Frequency1 (indirect) (Hz)");
xlabel("Frequency2 (direct) (Hz)");
ax = gca;
ax.FontSize = FontSize; 
subplot('Position',pos3);
plot(f2,(efspec_A))
xlim([-yaxiswidth yaxiswidth])
set(gca,'visible','off','XDir','reverse')
camroll(-90)
fontname("Calibri")
saveas(fig2,'simu_Pyridine_H','svg');
toc
