%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
%rep*ntp*ntd
%100*3*2 = 4s
%100*30*20 = 244 s = 4 min
%100*150*200 = 16055 s = 267 min = 4.5 h
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Systems{1}="HHN-1";
Systems{2}="HHNN-2";

System=Systems{1};
ex=Load_SABRE_System(System);

%% kinetic parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.fpH=1;                              % pH2 fraction (1 - 100)%
ex.Kd =1;                             % [s^-1] dissociation rate
ex.Wa =ex.Kd/10;                              % [s^-1] association rate
%% magnetic fields %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Bpv=1.5*1e-6;    % polarization external magnetic field, T
ex.Bd=54e-6;   % delay/storage external magnetic field, T
%% time grid %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.tp=23.7*1e-3; % polarization time, s
ex.tdv=linspace(1,3000,1000)*1e-3; % refreshing time, s
ex.rep=10;                      % repetitions
%% calculate pulsed SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Yout = pulsed_SABRE_td(ex);
%% save data %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%save_all_tpBp(System,Yout*100,ex);
save('out\ex.mat','ex')
%plot_all_tpBp(System,Yout*100,ex);
figure('color','white')
plot(ex.tdv*1000,ex.Yout(:,end));
title(sprintf('exchange rate kd = %.1f s-1,tp=%.4fs, Bp = %.1f uT, Bd = %.1f uT',[ex.Kd,ex.tp, ex.Bpv*1e6, ex.Bd*1e6]))
xlabel('time high pulse (ms)')
%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
