%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
%rep*ntp*ntd
%100*3*2 = 4s
%100*30*20 = 244 s = 4 min
%100*150*200 = 16055 s = 267 min = 4.5 h
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Systems{1}="HHN-1";
Systems{2}="HHNN-2";
Systems{3}="HHN-1-var";

System=Systems{3};
ex=Load_SABRE_System(System,-6,-25.2,3.7);

%% kinetic parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.fpH= 1;                              % pH2 fraction (1 - 100)%
ex.Kd = 8.3;                             % [s^-1] dissociation rate
ex.KdWa_r = 100;                         % Kd to Wa ratio
ex.Wa = ex.Kd/ex.KdWa_r;                       % [s^-1] association rate
%% magnetic fields %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Bpv=0.5*1e-6;    % polarization external magnetic field, T
ex.Bd=30e-6;   % delay/storage external magnetic field, T
%% time grid %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% load time points
%Path="D:\YandexDisk\resultsKiel\120.Theis_altSABRE_kinetics\CSH-Raw Data CSV\";
%File="Time Points\TimePoints.xlsx";
%in=readtable(Path+File);
%ex.tpv=in.Var1*1e-3; % s

ex.tpv=linspace(0,1000,1000)'*1e-3; % polarization time, s
ex.td=200*1e-3; % refreshing time, s
ex.rep=500;                      % repetitions
%% calculate pulsed SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Yout = pulsed_SABRE_tp(ex);
%% save data %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%save_all_tpBp(System,Yout*100,ex);
save(sprintf('out\\ex_%s_Bp%.0fnT_Kd%.1fs-1_KWr%.0f.mat',[System,ex.Bpv*1e9,ex.Kd,ex.KdWa_r]),'ex');
%plot_all_tpBp(System,Yout*100,ex);
figure('color','white')
plot(ex.tpv*1000,ex.Yout(:,end));
title(sprintf('exchange rate kd = %.1f s-1,td=%.4fs, Bp = %.1f uT, Bd = %.1f uT',[ex.Kd,ex.td, ex.Bpv*1e6, ex.Bd*1e6]))
xlabel('time low pulse (ms)')
%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
