%https://www.mathworks.com/help/matlab/ref/double.nufft.html
%nonuniform

Time = [0:0.01:1 1.05:0.02:5]; % time domain
model = @(Time)(2*sin(2*pi*6*Time) + sin(2*pi*13*Time)).*exp(-3*Time)+0.2*(rand(size(Time))-0.5);

Signal=model(Time);
FRQ = linspace(0,25,5000);
Y = nufft(Signal,Time,FRQ);

% plot
subplot(2,2,1);
title("nonuniform")
plot(Time,Signal)
xlabel("time (s)")
subplot(2,2,3);
plot(FRQ,abs(Y))
xlabel("Frequency (Hz)")


% uniform fft
Time = linspace(0,Time(end),length(Time)); % time domain
Signal=model(Time);
ZF=4; % zerofilling
Y = fft(Signal,length(Time)*ZF);
L=length(Y);
P2 = abs(Y);
P1 = P2(1:L/2+1);
P1(2:end-1) = 2*P1(2:end-1);
Fs=1/(Time(2)-Time(1));
FRQ = Fs*(0:(L/2))/L;

% plot
subplot(2,2,2);
title("uniform")
plot(Time,Signal)
xlabel("time (s)")
subplot(2,2,4);
plot(FRQ,P1)
xlabel("Frequency (Hz)")

