function [spec] = COSY_ZULF_FID(ex,r0,spec)                                 
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% calculate FID    
    % delay     
    Hm=2*pi*HXYZJij(ex.S,ex.PPM,ex.J,spec.Bm,"full");                
    H0=2*pi*HXYZJij(ex.S,ex.PPM,ex.J,spec.B0,"full");                
    spec.DTime1 = 1 / spec.SW1; % [Hz]
    spec.AQTime1= (0:spec.TD1-1)'*spec.DTime1;                                
    spec.DTime2 = 1 / spec.SW2; % [Hz]
    spec.AQTime2= (0:spec.TD2-1)'*spec.DTime2;
    spec.SR1=spec.SW1/spec.TD1;
    spec.SR2=spec.SW2/spec.TD2;    
    spec.FID.X=zeros(spec.TD2,spec.TD1);
    spec.FID.Y=zeros(spec.TD2,spec.TD1);
    
    r0=r0.RotationSuperOperator(ex.RF.Pulse(1),ex.RF.Phase(1),ex.S,1:ex.S.N);  % excitation
    ROL2=r0.RotationOperatorLeft(ex.RF.Pulse(2),ex.RF.Phase(2),ex.S,1:ex.S.N); % rotation operator

    for it1 = 1:spec.TD1
        print_progress((it1-1)/spec.TD1);
        [~,~,r]=r0.EvolutionConstH(Hm,spec.AQTime1(it1),[]);    % evolution at B mix
        %r=r.RotationSuperOperator(ex.RF.Pulse(2),ex.RF.Phase(2),ex.S,1:ex.S.N);      % excitation
        r.val=ROL2*r.val/ROL2;
        [~,A,~]=r.EvolutionConstH(H0,spec.AQTime2,ex.SOs);     % evolution at B 0   
        %% FID: combine all signal amplitudes multiplied on relative gamma                
        for n=1:ex.S.N
            spec.FID.X(:,it1) = spec.FID.X(:,it1) + A(:,n)*ex.S.g_gh{n}; %*ex.enhance_signal{n};            
            spec.FID.Y(:,it1) = spec.FID.Y(:,it1) + A(:,ex.S.N+n)*ex.S.g_gh{n}; %*ex.enhance_signal{n};            
        end
    end
end