function ex = Load_SABRE_System(name,varargin)
ex.System=name;



    switch name
        case "HH"
        ex.Sc = SpinOperators(2,{'1H','1H'}); %Ir-complex
        ex.Sf = SpinOperators(2,{'1H','1H'}); %dihydrogen (pH2)        
               
        % system
        ex.T1C       = [1,1];                        % T1 relaxation in the complex, s
        ex.f    = [1,1];                     % T1 relaxation in the complex, s
        ex.ppmC      = [-22 -27]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmF   = [4,4]*1e-6;                     % chemical shift ppm*1e-6 in substrate
        ex.JC        = zeros(ex.Sc.N);                 % J - coupling in [Hz]
        ex.JC(1,2)   = -10;
        ex.JC        = ex.JC+ex.JC';
        
        ex.JF = zeros(ex.Sf.N); % J - coupling in [Hz]
        ex.JF(1,2) = 265;
        ex.JF = ex.JF+ex.JF';
        
        % calculate free H2
        ex.SOfFID = {ex.Sf.P(1,'x'),ex.Sf.P(2,'x'),ex.Sf.P(1,'y'),ex.Sf.P(2,'y')};

        % and the complex
        ex.SOcFID = {ex.Sc.P(1,'x'),ex.Sc.P(2,'x'),ex.Sc.P(1,'y'),ex.Sc.P(2,'y')}                     ;                
    
        case "HHN-1"
        ex.Sc = SpinOperators(3,{'1H','1H','15N'}); %Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'      }); %dihydrogen (pH2)
        ex.Ss = SpinOperators(1,{          '15N'}); %substrate (S2)
       
        
        % system
        ex.T1C    = [1,1,5];                        % T1 relaxation in the complex, s
        ex.T1S    = [60];                           % T1 relaxation in the free substrate, s
        ex.ppmC   = [-22 -22 0]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmS   = [100]*1e-6;                     % chemical shift ppm*1e-6 in substrate
        ex.JC     = zeros(ex.Sc.N);                 % J - coupling in [Hz]
        ex.JC(1,2)= -7.2; ex.JC(1,3)=-23.5;
                        ex.JC(2,3)=0.25;
        ex.JC=ex.JC+ex.JC';
        ex.JS=zeros(ex.Ss.N); % J - coupling in [Hz]
        ex.JS=ex.JS+ex.JS';
        ex.show_s  = [1]  ;

        % calculate amplitudes for the following spin orders of Ir-complex
        ex.SOc={ex.Sc.PP(1,'x',2,'x'),ex.Sc.PP(1,'y',2,'y'),ex.Sc.PP(1,'z',2,'z'),...
                ex.Sc.PP(1,'z',3,'x'),ex.Sc.PP(1,'z',3,'y'),ex.Sc.PP(1,'z',3,'z'),...
                ex.Sc.PP(2,'z',3,'x'),ex.Sc.PP(2,'z',3,'y'),ex.Sc.PP(2,'z',3,'z'),...
                ex.Sc.P(1,'z'),       ex.Sc.P(2,'z'),       ex.Sc.P(3,'z')};
        ex.SOcFID={ex.Sc.P(1,'x'),ex.Sc.P(2,'x'),ex.Sc.P(3,'x'),ex.Sc.P(1,'y'),ex.Sc.P(2,'y'),ex.Sc.norm(3,'y')};
        ex.SOcStr={ '1X2X','1Y2Y','1Z2Z',...
                    '1Z3X','1Z3Y','1Z3Z',...
                    '2Z3X','2Z3Y','2Z3Z',...
                    '1Z','2Z','3Z'};
        % and the substrate
        %ex.SOs             = {ex.Ss.norm('x',1),ex.Ss.norm('y',1),ex.Ss.norm('z',1)}   ;
        ex.SOs             = {ex.Ss.P(1,'z')}   ;
        ex.SOsFID          = {ex.Ss.P(1,'x'),ex.Ss.P(1,'y')}                     ;
        ex.SOsStr          = {'1X','1Y','1Z'}                                          ;
        ex.eHC             = [1, 2]                                                    ; % spins of hydrogen in the complex
        ex.eNS             = 1                                                         ; % spins of Nitrogen in the substrate
        ex.eNC             = 3                                                         ; % Spins of Nitrogen in the complex


        case "HHN-1-var"
        ex.Sc = SpinOperators(3,{'1H','1H','15N'}); %Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'      }); %dihydrogen (pH2)
        ex.Ss = SpinOperators(1,{          '15N'}); %substrate (S2)
       
        
        % system
        ex.T1C    = [1,1,5];                        % T1 relaxation in the complex, s
        ex.T1S    = [60];                           % T1 relaxation in the free substrate, s
        ex.ppmC   = [-22 -22 0]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmS   = [100]*1e-6;                     % chemical shift ppm*1e-6 in substrate
        ex.JC     = zeros(ex.Sc.N);                 % J - coupling in [Hz]
        
                
        ex.JC(1,2)= varargin{1}; ex.JC(1,3)=varargin{2};
                                 ex.JC(2,3)=varargin{3};
        ex.JC=ex.JC+ex.JC';
        ex.JS=zeros(ex.Ss.N); % J - coupling in [Hz]
        ex.JS=ex.JS+ex.JS';
        
        % calculate amplitudes for the following spin orders of Ir-complex
        ex.SOc={ex.Sc.PP(1,'x',2,'x'),ex.Sc.PP(1,'y',2,'y'),ex.Sc.PP(1,'z',2,'z'),...
                ex.Sc.PP(1,'z',3,'x'),ex.Sc.PP(1,'z',3,'y'),ex.Sc.PP(1,'z',3,'z'),...
                ex.Sc.PP(2,'z',3,'x'),ex.Sc.PP(2,'z',3,'y'),ex.Sc.PP(2,'z',3,'z'),...
                ex.Sc.P(1,'z'),       ex.Sc.P(2,'z'),       ex.Sc.P(3,'z')};
        ex.SOcFID={ex.Sc.P(1,'x'),ex.Sc.P(2,'x'),ex.Sc.P(3,'x'),ex.Sc.P(1,'y'),ex.Sc.P(2,'y'),ex.Sc.norm(3,'y')};
        ex.SOcStr={ '1X2X','1Y2Y','1Z2Z',...
                    '1Z3X','1Z3Y','1Z3Z',...
                    '2Z3X','2Z3Y','2Z3Z',...
                    '1Z','2Z','3Z'};
        % and the substrate
        %ex.SOs             = {ex.Ss.norm('x',1),ex.Ss.norm('y',1),ex.Ss.norm('z',1)}   ;
        ex.SOs             = {ex.Ss.P(1,'z')}   ;
        ex.SOsFID          = {ex.Ss.P(1,'x'),ex.Ss.P(1,'y')}                     ;
        ex.SOsStr          = {'1X','1Y','1Z'}                                          ;
        ex.eHC             = [1, 2]                                                    ; % spins of hydrogen in the complex
        ex.eNS             = 1                                                         ; % spins of Nitrogen in the substrate
        ex.eNC             = 3                                                         ; % Spins of Nitrogen in the complex


  case "HHNN-2"
        ex.Sc = SpinOperators(4,{'1H','1H','15N','15N'})                               ; %Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'            })                               ; %dihydrogen (pH2)
        ex.Ss = SpinOperators(2,{          '15N','15N'})                               ; %substrate (S2)
        
        
        % system
        ex.T1C       = [1,1,6,6]                                                       ; % T1 relaxation in the complex, s
        ex.T1S       = [60,60]                                                         ; % T1 relaxation in the free substrate, s 
        ex.ppmC      = [-22 -223 -100 100]*1e-6                                        ; % chemical shift ppm*1e-6 in complex
        ex.ppmS      = [100 200]*1e-6                                                  ; % chemical shift ppm*1e-6 in substrate
        ex.JC        = zeros(ex.Sc.N)                                                  ; % J - coupling in [Hz]
        JNH          = -24                                                             ;
        ex.JC(1,2)   = -8                                                              ; 
        ex.JC(1,3)   = JNH; ex.JC(2,3)= 000                                            ;
        ex.JC(1,4)   = 000; ex.JC(2,4)= JNH; ex.JC(3,4)= -00                           ;
        
        
        ex.JC        = ex.JC+ex.JC'                                                    ;
        ex.JS        = zeros(ex.Ss.N)                                                  ; % J - coupling in [Hz]
        ex.JS        = ex.JS+ex.JS'                                                    ;
        
        % calculate amplitudes for the following spin orders of Ir-complex
        ex.SOc    = {ex.Sc.PP(1,'x',2,'x'),ex.Sc.PP(1,'y',2,'y'),ex.Sc.PP(1,'z',2,'z'),...
                     ex.Sc.PP(1,'z',3,'x'),ex.Sc.PP(1,'z',3,'y'),ex.Sc.PP(1,'z',3,'z'),...
                     ex.Sc.PP(2,'z',3,'x'),ex.Sc.PP(2,'z',3,'y'),ex.Sc.PP(2,'z',3,'z'),...
                     ex.Sc.P(1,'z'),       ex.Sc.P(2,'z'),       ex.Sc.P(3,'x'),       ex.Sc.P(4,'x'), ex.Sc.P(3,'y'),       ex.Sc.P(4,'y')}          ; % ex.Sc.SSP(1,2),...
        ex.SOcFID = {ex.Sc.P(1,'x'),ex.Sc.P(2,'x'),ex.Sc.P(3,'x'),ex.Sc.P(4,'x'),ex.Sc.P(1,'y'),ex.Sc.P(2,'y'),ex.Sc.P(3,'y'),ex.Sc.P(4,'y')}   ;
        ex.SOcStr = { '1X2X','1Y2Y','1Z2Z',...
                      '1Z3X','1Z3Y','1Z3Z',...
                      '2Z3X','2Z3Y','2Z3Z',...
                      '1Z','2Z','3x','4x','3y','4y'}; %'S12',... 
        % and the substrate
                ex.SOs    = {ex.Ss.P(1,'z')+ex.Ss.P(2,'z')};
        %ex.SOs    = {ex.Ss.PP('x',1,'x',2),ex.Ss.PP('y',1,'y',2),ex.Ss.PP('z',1,'z',2),...
        %             ex.Ss.P('x',1),ex.Ss.P('y',1),ex.Ss.P('z',1),ex.Ss.P('x',2),ex.Ss.P('y',2),ex.Ss.P('z',2)}              ;
        ex.SOsFID = {ex.Ss.P(1,'x'),ex.Ss.P(1,'y'),ex.Ss.P(2,'x'),ex.Ss.P(2,'y')}                                                  ;
        ex.SOsStr = {'1X2X','1Y2Y','1Z2Z',...
                     '1X','1Y','1Z','2X','2Y','2Z'}            ;
        ex.eHC = [1, 2]                                        ; % spins of hydrogen in the complex
        ex.eNS = [1, 2]                                        ; % spins of Nitrogen in the substrate
        ex.eNC = [3, 4]                                        ; % Spins of Nitrogen in the complex
        
 case "HH-C"
     
        ex.Sc      = SpinOperators(3,{'1H','1H','13C'})                    ; %Ir-complex
        ex.Sh      = SpinOperators(2,{'1H','1H'      })                    ; %dihydrogen (pH2)
        ex.Ss      = SpinOperators(1,{          '13C'})                    ; %substrate (S2)
       
        
        % system
        ex.T1C     = [1,1,25]                                              ; % T1 relaxation in the complex, s
        ex.T1S     = [60]                                                  ; % T1 relaxation in the free substrate, s
        ex.ppmC    = [-27.2 -29.1 164]*1e-6                                ; % chemical shift ppm*1e-6 in complex
        ex.ppmS    = [168]*1e-6                                            ; % chemical shift ppm*1e-6 in substrate
        ex.JC      = zeros(ex.Sc.N)                                        ; % J - coupling in [Hz]
        JaC        = -0.55                                                 ;
        JbC        = 0.014                                                 ;
        JHH        = -10.48                                                ;
        ex.JC(1,2) = JHH                                                   ; 
        ex.JC(1,3) = JaC                                                   ; 
        ex.JC(2,3) = JbC                                                   ;

        ex.JC      = ex.JC + ex.JC'                                        ;
        ex.JS      = zeros(ex.Ss.N)                                        ; % J - coupling in [Hz]
        ex.JS      = ex.JS + ex.JS'                                        ;   
        
        % calculate amplitudes for the following spin orders of Ir-complex
        %ex.SOc = {ex.Sc.SSnorm(1,2),...
        %          ex.Sc.norm2('z',1,'z',2),ex.Sc.norm2('z',1,'z',3),ex.Sc.norm2('z',2,'z',3),...
        %          ex.Sc.norm2('y',2,'z',1),ex.Sc.norm2('y',1,'z',3),ex.Sc.norm2('y',2,'z',3),...
        %          ex.Sc.norm('x',1),       ex.Sc.norm('x',2),       ex.Sc.norm('z',3)};
        %ex.SOcStr  = {'S12',...
        %             '1Z2Z','1Z3Z','2Z3Z',...
        %             '1Y2Z','1Y3Z','2Y3Z',...
        %             '1X','2X','3Z'};

        
        ex.SOc     = {ex.Sc.P(3,'x'),ex.Sc.P(3,'z'),ex.Sc.P(3,'y')};
        ex.SOs     = {ex.Ss.P(1,'x'),ex.Ss.P(1,'z')}                              ;
        ex.SOcStr  = {'13C-X','13C-Z'}                              ;
        ex.SOsStr  = {'free 13C-X','free 13C-1Z'}                                        ;

        ex.show_c  = [1,2]                                                 ;
        ex.show_s  = [1,2]                                                 ;
        ex.SOcFID  = {ex.Sc.P(1,'x'),ex.Sc.P(2,'x'),ex.Sc.P(3,'x'),ex.Sc.P(1,'y'),ex.Sc.P(2,'y'),ex.Sc.P(3,'y')}  ;                      
        ex.SOsFID  = {ex.Ss.P(1,'x'),ex.Ss.P(1,'y')}                                                              ;
        
        
        ex.eH1C    = 1                                                     ; % spin of 1st hydrogen in the complex
        ex.eH2C    = 2                                                     ; % spin of 2nd hydrogen in the complex
        ex.eCS     = 1                                                     ; % X-spins in the substrate
        ex.eCC     = 3                                                     ; % X-Spins in the complex
        
case "HH-HC"
        ex.Sc      = SpinOperators(4,{'1H','1H','1H','13C'})               ; %Ir-complex
        ex.Sh      = SpinOperators(2,{'1H','1H'           })               ; %dihydrogen (pH2)
        ex.Ss      = SpinOperators(2,{          '1H','13C'})               ; %substrate (S2)
       
        
        % system
        ex.T1C=[0.9,0.9,5,25];                        % T1 relaxation in the complex, s
        ex.T1S=[22 90];                           % T1 relaxation in the free substrate, s
        ex.ppmC=[-22 -22 2 0]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmS=[2 100]*1e-6;                % chemical shift ppm*1e-6 in substrate
        ex.JC=zeros(ex.Sc.N); % J - coupling in [Hz]
        JHH=-10.5;
        JHC=1.5;
        JIr=0.06;
        ex.JQ=JHC;
        ex.JC(1,2)=JHH; 
        ex.JC(1,3)=000; ex.JC(2,3)=000;
        ex.JC(1,4)=JIr; ex.JC(2,4)=000; ex.JC(3,4)=JHC;                
        ex.JC=ex.JC+ex.JC';
        
        ex.JS=zeros(ex.Ss.N); % J - coupling in [Hz]\
        ex.JS(1,2)=JHC;
        ex.JS=ex.JS+ex.JS';
        
        ex.SOc={ex.Sc.P(4,'x'),...
                ex.Sc.P(4,'y'),...
                ex.Sc.P(4,'z'),...
                ex.Sc.PPzz(3,4)};
        ex.SOcStr={'I_4_X',...
                   'I_4_Y',...
                   'I_4_Z',...
                   'I_3_ZI_4_Z'};
        ex.show_c=[1,2,3,4];
        
        %ex.SOcFID={ex.Sc.norm('x',1),ex.Sc.norm('x',2),ex.Sc.norm('x',3),ex.Sc.norm('y',1),ex.Sc.norm('y',2),ex.Sc.norm('y',3)};
                       
        ex.SOs={ex.Ss.P(1,'x'),ex.Ss.P(2,'x'),...
                ex.Ss.P(1,'y'),ex.Ss.P(2,'y'),...
                ex.Ss.P(1,'z'),ex.Ss.P(2,'z'),...
                ex.Ss.norm2("x",1,"x",2),ex.Ss.norm2("x",1,"y",2),ex.Ss.norm2("x",1,"z",2),...
                ex.Ss.norm2("y",1,"x",2),ex.Ss.norm2("y",1,"y",2),ex.Ss.norm2("y",1,"z",2),...
                ex.Ss.norm2("z",1,"x",2),ex.Ss.norm2("z",1,"y",2),ex.Ss.norm2("z",1,"z",2)};        
        ex.SOsFID={ex.Ss.P(1,'x'),ex.Ss.P(1,'y')};
        ex.SOsStr={'I1X','I_2_X',...
                   'I1Y','I_2_Y',...
                   'I1Z','I_2_Z',...
                   'I1X2X','1X2Y','1X2Z',...
                   '1Y2X','1Y2Y','1Y2Z',...
                   '1Z2X','1Z2Y','I_1_ZI_2_Z'};
       ex.show_s=[2,4,6,15];
               
case "HH-HHC"        
        ex.Sc = SpinOperators(5,{'1H','1H','1H','1H','13C'}); %Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'                }); %dihydrogen (pH2)
        ex.Ss = SpinOperators(3,{          '1H','1H','13C'}); %substrate (S2)
       
        
        % system
        ex.T1C=[0.9,0.9,5,5,25];                        % T1 relaxation in the complex, s
        ex.T1S=[22 22 90];                           % T1 relaxation in the free substrate, s
        ex.ppmC=[-22 -22 2 2 0]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmS=[2 2 100]*1e-6;                % chemical shift ppm*1e-6 in substrate
        ex.JC=zeros(ex.Sc.N); % J - coupling in [Hz]
        JHH=-10.5;
        JHC=1.5;
        JIr=0.06;
        JC3=16;
        ex.JQ=JHC;
        ex.JC(1,2)=JHH; 
        ex.JC(1,3)=000; ex.JC(2,3)=000;
        ex.JC(1,4)=000; ex.JC(2,4)=000; ex.JC(3,4)=JC3;        
        ex.JC(1,5)=JIr; ex.JC(2,5)=000; ex.JC(3,5)=JHC; ex.JC(4,5)=JHC; 
        ex.JC=ex.JC+ex.JC';
        
        ex.JS=zeros(ex.Ss.N); % J - coupling in [Hz]\
        ex.JS(1,2)=JC3;        
        ex.JS(1,3)=JHC; ex.JS(2,3)=JHC;                        
        ex.JS=ex.JS+ex.JS';
        
        ex.SOc={ex.Sc.norm('x',5),...
                ex.Sc.norm('y',5),...
                ex.Sc.norm('z',5),...
                ex.Sc.SSzznorm(3,5)+ex.Sc.SSzznorm(4,5)};
        ex.SOcStr={'I_5_X',...
                   'I_5_Y',...
                   'I_5_Z',...
                   'I_3_ZI_5_Z+I_4_ZI_5_Z'};
        ex.show_c=[1,2,3,4];
                                       
        ex.SOs={ex.Ss.norm('x',1),ex.Ss.norm('x',2),...
                ex.Ss.norm('y',1),ex.Ss.norm('y',2),...
                ex.Ss.norm('z',1),ex.Ss.norm('z',2),...
                ex.Ss.norm2("x",1,"x",2),ex.Ss.norm2("x",1,"y",2),ex.Ss.norm2("x",1,"z",2),...
                ex.Ss.norm2("y",1,"x",2),ex.Ss.norm2("y",1,"y",2),ex.Ss.norm2("y",1,"z",2),...
                ex.Ss.norm2("z",1,"x",2),ex.Ss.norm2("z",1,"y",2),ex.Ss.norm2("z",1,"z",2)};        
        ex.SOsFID={ex.Ss.norm('x',1),ex.Ss.norm('y',1)};
        ex.SOsStr={'I1X','I_2_X',...
                   'I1Y','I_2_Y',...
                   'I1Z','I_2_Z',...
                   'I1X2X','1X2Y','1X2Z',...
                   '1Y2X','1Y2Y','1Y2Z',...
                   '1Z2X','1Z2Y','I_1_ZI_2_Z'};
       ex.show_s=[2,4,6,15];
               
        case "HH-HHHC"
        ex.Sc = SpinOperators(6,{'1H','1H','1H','1H','1H','13C'}); %Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'                     }); %dihydrogen (pH2)
        ex.Ss = SpinOperators(4,{          '1H','1H','1H','13C'}); %substrate (S2)
       
        
        % system
        ex.T1C=[0.9,0.9,5,5,5,25];                        % T1 relaxation in the complex, s
        ex.T1S=[22 22 22 100];                           % T1 relaxation in the free substrate, s
        ex.ppmC=[-22 -22 2 2 2 0]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmS=[2 2 2 100]*1e-6;                % chemical shift ppm*1e-6 in substrate
        ex.JC=zeros(ex.Sc.N); % J - coupling in [Hz]
        JHH=-10.5;
        JHC=1.5;
        JIr=0.06;
        JC3=16;
        ex.JQ=JHC;
        ex.JC(1,2)=JHH; 
        ex.JC(1,3)=000; ex.JC(2,3)=000;
        ex.JC(1,4)=000; ex.JC(2,4)=000; ex.JC(3,4)=JC3;        
        ex.JC(1,5)=000; ex.JC(2,5)=000; ex.JC(3,5)=JC3; ex.JC(4,5)=JC3;                
        ex.JC(1,6)=JIr; ex.JC(2,6)=000; ex.JC(3,6)=JHC; ex.JC(4,6)=JHC; ex.JC(5,6)=JHC; 
        ex.JC=ex.JC+ex.JC';
        
        ex.JS=zeros(ex.Ss.N); % J - coupling in [Hz]\
        ex.JS(1,2)=JC3;        
        ex.JS(1,3)=JC3; ex.JS(2,3)=JC3;                
        ex.JS(1,4)=JHC; ex.JS(2,4)=JHC; ex.JS(3,4)=JHC;        
        ex.JS=ex.JS+ex.JS';
        
        ex.SOc={ex.Sc.norm('x',6),...
                ex.Sc.norm('y',6),...
                ex.Sc.norm('z',6),...
                ex.Sc.SSzznorm(3,6)+ex.Sc.SSzznorm(4,6)+ex.Sc.SSzznorm(5,6)};
        ex.SOcStr={'I_6_X',...
                   'I_6_Y',...
                   'I_6_Z',...
                   'I_3_ZI_6_Z+I_4_ZI_6_Z+I_5_ZI_6_Z'};
        ex.show_c=[1,2,3,4];
                                       
        ex.SOs={ex.Ss.norm('x',1),ex.Ss.norm('x',2),...
                ex.Ss.norm('y',1),ex.Ss.norm('y',2),...
                ex.Ss.norm('z',1),ex.Ss.norm('z',2),...
                ex.Ss.norm2("x",1,"x",2),ex.Ss.norm2("x",1,"y",2),ex.Ss.norm2("x",1,"z",2),...
                ex.Ss.norm2("y",1,"x",2),ex.Ss.norm2("y",1,"y",2),ex.Ss.norm2("y",1,"z",2),...
                ex.Ss.norm2("z",1,"x",2),ex.Ss.norm2("z",1,"y",2),ex.Ss.norm2("z",1,"z",2)};        
        ex.SOsFID={ex.Ss.norm('x',1),ex.Ss.norm('y',1)};
        ex.SOsStr={'I1X','I_2_X',...
                   'I1Y','I_2_Y',...
                   'I1Z','I_2_Z',...
                   'I1X2X','1X2Y','1X2Z',...
                   '1Y2X','1Y2Y','1Y2Z',...
                   '1Z2X','1Z2Y','I_1_ZI_2_Z'};
       ex.show_s=[2,4,6,15];
               
       case "NAA-4H"
        ex.Sc = SpinOperators(6,{'1H','1H','1H','1H','1H','1H'}); %Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'      }); %dihydrogen (pH2)
        ex.Ss = SpinOperators(4,{          '1H','1H','1H','1H'}); %substrate (S2)
       
        
        % system
        ex.T1C=[1,1,6,6,6,6];                        % T1 relaxation in the complex, s
        ex.T1S=[20,20,20,20];                           % T1 relaxation in the free substrate, s
        ex.ppmC=[-22.8 -22.8 9.0474638, 8.3102853,7.5535729,8.6981689]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmS=[9.0474638, 8.3102853,7.5535729,8.6981689]*1e-6;                % chemical shift ppm*1e-6 in substrate
        ex.JC=zeros(ex.Sc.N); % J - coupling in [Hz]
        ex.JC(1,2)=-8; ex.JC(1,3)=0.5;ex.JC(1,4)=00; ex.JC(1,5)=00;  ex.JC(1,6)=0;
                       ex.JC(2,3)=0.2;ex.JC(2,4)=00; ex.JC(2,5)=00;  ex.JC(2,6)=0.5;
                                      ex.JC(3,4)=2.3;ex.JC(3,5)=0.84;ex.JC(3,6)=0.2;
                                                     ex.JC(4,5)=8;   ex.JC(4,6)=1.6;
                                                                     ex.JC(5,6)=4.96;
        ex.JC=ex.JC+ex.JC';
        ex.JS=zeros(ex.Ss.N); % J - coupling in [Hz]                                      
        ex.JS(1,2)=2.3;ex.JS(1,3)=0.84;ex.JS(1,4)=0.2;
                       ex.JS(2,3)=8;   ex.JS(2,4)=1.6;
                                       ex.JS(3,4)=4.96;
        ex.JS=ex.JS+ex.JS';
        
        % calculate amplitudes for the following spin orders of Ir-complex
        ex.SOc={ex.Sc.norm('z',1),ex.Sc.norm('z',2),ex.Sc.norm('z',3),ex.Sc.norm('z',4),ex.Sc.norm('z',5),ex.Sc.norm('z',6)};
        
        ex.SOcFID={ex.Sc.norm('x',1),ex.Sc.norm('x',2),ex.Sc.norm('x',3),ex.Sc.norm('y',1),ex.Sc.norm('y',2),ex.Sc.norm('y',3)};
        ex.SOcStr={'1Z','2Z','3Z','4Z','5Z','6Z'};
        
        
        % and the substrate
        ex.SOs={ex.Ss.norm('z',1),ex.Ss.norm('z',2),ex.Ss.norm('z',3),ex.Ss.norm('z',4)};
        ex.SOsFID={ex.Ss.norm('x',1),ex.Ss.norm('y',1)};
        ex.SOsStr={'1Z','2Z','3Z','4Z'};
        ex.eHC = [1, 2];             % spins of hydrogen in the complex
        ex.eNS = 1;                  % spins of Nitrogen in the substrate
        ex.eNC = 3;                  % Spins of Nitrogen in the complex
        
        
    case "HH-Rh-PP-PP"
        ex.Sc = SpinOperators(7,{'1H','1H','103Rh','31P','31P','31P','31P'}); % Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'});                      % dihydrogen (pH2)
%       ex.Ss = SpinOperators(5,{          '103Rh','31P','31P','31P','31P'}); % substrate (S2)
       
        
        % system
        ex.T1C=[1,1,1,3,3,3,3];                        % T1 relaxation in the complex, s
 %       ex.T1S=[20, 20, 20, 60];                           % T1 relaxation in the free substrate, s
        ex.ppmC=[-10.295, -10.295, 0, 1.2, 1.2, 12.1, 12.1]*1e-6;              % chemical shift ppm*1e-6 in complex
 %       ex.ppmS=[2, 2, 2, 100]*1e-6;                % chemical shift ppm*1e-6 in substrate
        ex.JC=zeros(ex.Sc.N); % J - coupling in [Hz]
        JHH=-7;
        Je1=215.3;
        Je2=-12.0;
        JHa=9;
        JHR=13.8;
        JRa=100;
        JRe=00;
        
        ex.JC(1,2)=JHH; 
        ex.JC(1,3)=JHa; ex.JC(2,3)=JHa;
        ex.JC(1,4)=JHa; ex.JC(2,4)=JHa; ex.JC(3,4)=000;
        ex.JC(1,5)=Je1; ex.JC(2,5)=Je2; ex.JC(3,5)=000; ex.JC(4,5)=000;
        ex.JC(1,6)=Je2; ex.JC(2,6)=Je1; ex.JC(3,6)=000; ex.JC(4,6)=000; ex.JC(5,6)=000;
        ex.JC(1,7)=JHR; ex.JC(2,7)=JHR; ex.JC(3,7)=JRa; ex.JC(4,7)=JRa; ex.JC(5,7)=JRe; ex.JC(6,7)=JRe;
                
        ex.JC=ex.JC+ex.JC';                                
        %ex.JS=ex.JS+ex.JS';
        
        % calculate amplitudes for the following spin orders of Ir-complex        
        ex.SOc={ex.Sc.norm('z',1),ex.Sc.norm('z',2),ex.Sc.norm('z',3),ex.Sc.norm('z',4),ex.Sc.norm('z',5),ex.Sc.norm('z',6),ex.Sc.norm('z',7)};
        ex.SOcStr={'S1Z','S2Z','S3Z','S4Z','S5Z','S6Z','S7Z'};
                       
%         ex.SOs={ex.Ss.norm('x',1),ex.Ss.norm('x',2),ex.Ss.norm('x',3),ex.Ss.norm('x',4),...
%                 ex.Ss.norm('y',1),ex.Ss.norm('x',2),ex.Ss.norm('x',3),ex.Ss.norm('y',4),...
%                 ex.Ss.norm('z',1),ex.Ss.norm('x',2),ex.Ss.norm('x',3),ex.Ss.norm('z',4),...
%                 ex.Ss.norm2("x",1,"x",4),ex.Ss.norm2("x",1,"y",4),ex.Ss.norm2("x",1,"z",4),...
%                 ex.Ss.norm2("x",2,"x",4),ex.Ss.norm2("x",2,"y",4),ex.Ss.norm2("x",2,"z",4),...
%                 ex.Ss.norm2("x",3,"x",4),ex.Ss.norm2("x",3,"y",4),ex.Ss.norm2("x",3,"z",4),...                
%                 ex.Ss.norm2("y",1,"x",4),ex.Ss.norm2("y",1,"y",4),ex.Ss.norm2("y",1,"z",4),...
%                 ex.Ss.norm2("y",2,"x",4),ex.Ss.norm2("y",2,"y",4),ex.Ss.norm2("y",2,"z",4),...
%                 ex.Ss.norm2("y",3,"x",4),ex.Ss.norm2("y",3,"y",4),ex.Ss.norm2("y",3,"z",4),...               
%                 ex.Ss.norm2("z",1,"x",4),ex.Ss.norm2("z",1,"y",4),ex.Ss.norm2("z",1,"z",4),...
%                 ex.Ss.norm2("z",2,"x",4),ex.Ss.norm2("z",2,"y",4),ex.Ss.norm2("z",2,"z",4),...
%                 ex.Ss.norm2("z",3,"x",4),ex.Ss.norm2("z",3,"y",4),ex.Ss.norm2("z",3,"z",4)};        
%         
%         ex.SOsStr={'S1X','S2X','S3X','S4X',...
%                    'S1Y','S2Y','S3Y','S4Y',...
%                    'S1Z','S2Z','S3Z','S4Z',...
%                    '1X4X','1X4Y','1X4Z',...
%                    '2X4X','2X4Y','2X4Z',...
%                    '3X4X','3X4Y','3X4Z',...
%                    '1Y4X','1Y4Y','1Y4Z',...
%                    '2Y4X','2Y4Y','2Y4Z',...
%                    '3Y4X','3Y4Y','3Y4Z',...                                      
%                    '1Z4X','1Z4Y','1Z4Z',...
%                    '2Z4X','2Z4Y','2Z4Z',...
%                    '3Z4X','3Z4Y','3Z4Z'};
        
                              
case "HH-Rh-PP-PP-HH"
        ex.Sc = SpinOperators(9,{'1H','1H','103Rh','31P','31P','31P','31P','1H','1H'}); % Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'});                      % dihydrogen (pH2)
%       ex.Ss = SpinOperators(5,{          '103Rh','31P','31P','31P','31P'}); % substrate (S2)
       
        
        % system
        ex.T1C=[1,1,1,3,3,3,3];                        % T1 relaxation in the complex, s
 %       ex.T1S=[20, 20, 20, 60];                           % T1 relaxation in the free substrate, s
        ex.ppmC=[-10.295, -10.295, 0, 1.2, 1.2, 12.1, 12.1,3,3]*1e-6;              % chemical shift ppm*1e-6 in complex
 %       ex.ppmS=[2, 2, 2, 100]*1e-6;                % chemical shift ppm*1e-6 in substrate
        ex.JC=zeros(ex.Sc.N); % J - coupling in [Hz]
        JHH=-7;
        Je1=215.3;
        Je2=-12.0;
        JHa=9;
        JHR=13.8;
        JRa=100;
        JRe=00;
        JOH=0.5;
        
        ex.JC(1,2)=JHH; 
        ex.JC(1,3)=JHa; ex.JC(2,3)=JHa;
        ex.JC(1,4)=JHa; ex.JC(2,4)=JHa; ex.JC(3,4)=000;
        ex.JC(1,5)=Je1; ex.JC(2,5)=Je2; ex.JC(3,5)=000; ex.JC(4,5)=000;
        ex.JC(1,6)=Je2; ex.JC(2,6)=Je1; ex.JC(3,6)=000; ex.JC(4,6)=000; ex.JC(5,6)=000;
        ex.JC(1,7)=JHR; ex.JC(2,7)=JHR; ex.JC(3,7)=JRa; ex.JC(4,7)=JRa; ex.JC(5,7)=JRe; ex.JC(6,7)=JRe;
        ex.JC(1,8)=Je2; ex.JC(2,8)=Je1; ex.JC(3,8)=000; ex.JC(4,8)=000; ex.JC(5,8)=000; ex.JC(6,8)=JOH; ex.JC(7,8)=000;
        ex.JC(1,9)=Je2; ex.JC(2,9)=Je1; ex.JC(3,9)=000; ex.JC(4,9)=000; ex.JC(5,9)=000; ex.JC(6,9)=000; ex.JC(7,9)=JOH; ex.JC(8,9)=000;
                
        ex.JC=ex.JC+ex.JC';                                
        %ex.JS=ex.JS+ex.JS';
        
        % calculate amplitudes for the following spin orders of Ir-complex        
        ex.SOc={ex.Sc.norm('z',1),ex.Sc.norm('z',2),ex.Sc.norm('z',3),ex.Sc.norm('z',4),ex.Sc.norm('z',5),ex.Sc.norm('z',6),ex.Sc.norm('z',7),ex.Sc.norm('z',8),ex.Sc.norm('z',9)};
        ex.SOcStr={'S1Z','S2Z','S3Z','S4Z','S5Z','S6Z','S7Z','S8Z','S9Z'};
                       
%         ex.SOs={ex.Ss.norm('x',1),ex.Ss.norm('x',2),ex.Ss.norm('x',3),ex.Ss.norm('x',4),...
%                 ex.Ss.norm('y',1),ex.Ss.norm('x',2),ex.Ss.norm('x',3),ex.Ss.norm('y',4),...
%                 ex.Ss.norm('z',1),ex.Ss.norm('x',2),ex.Ss.norm('x',3),ex.Ss.norm('z',4),...
%                 ex.Ss.norm2("x",1,"x",4),ex.Ss.norm2("x",1,"y",4),ex.Ss.norm2("x",1,"z",4),...
%                 ex.Ss.norm2("x",2,"x",4),ex.Ss.norm2("x",2,"y",4),ex.Ss.norm2("x",2,"z",4),...
%                 ex.Ss.norm2("x",3,"x",4),ex.Ss.norm2("x",3,"y",4),ex.Ss.norm2("x",3,"z",4),...                
%                 ex.Ss.norm2("y",1,"x",4),ex.Ss.norm2("y",1,"y",4),ex.Ss.norm2("y",1,"z",4),...
%                 ex.Ss.norm2("y",2,"x",4),ex.Ss.norm2("y",2,"y",4),ex.Ss.norm2("y",2,"z",4),...
%                 ex.Ss.norm2("y",3,"x",4),ex.Ss.norm2("y",3,"y",4),ex.Ss.norm2("y",3,"z",4),...               
%                 ex.Ss.norm2("z",1,"x",4),ex.Ss.norm2("z",1,"y",4),ex.Ss.norm2("z",1,"z",4),...
%                 ex.Ss.norm2("z",2,"x",4),ex.Ss.norm2("z",2,"y",4),ex.Ss.norm2("z",2,"z",4),...
%                 ex.Ss.norm2("z",3,"x",4),ex.Ss.norm2("z",3,"y",4),ex.Ss.norm2("z",3,"z",4)};        
%         
%         ex.SOsStr={'S1X','S2X','S3X','S4X',...
%                    'S1Y','S2Y','S3Y','S4Y',...
%                    'S1Z','S2Z','S3Z','S4Z',...
%                    '1X4X','1X4Y','1X4Z',...
%                    '2X4X','2X4Y','2X4Z',...
%                    '3X4X','3X4Y','3X4Z',...
%                    '1Y4X','1Y4Y','1Y4Z',...
%                    '2Y4X','2Y4Y','2Y4Z',...
%                    '3Y4X','3Y4Y','3Y4Z',...                                      
%                    '1Z4X','1Z4Y','1Z4Z',...
%                    '2Z4X','2Z4Y','2Z4Z',...
%                    '3Z4X','3Z4Y','3Z4Z'};

        case "HH-1C-Pyruvate"
        ex.Sc = SpinOperators(6,{'1H','1H','1H','1H','1H','13C'}); %Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'                     }); %dihydrogen (pH2)
        ex.Ss = SpinOperators(4,{          '1H','1H','1H','13C'}); %substrate (S2)
       
        
        % system
        ex.T1C=[0.9,0.9,3,3,3,10];                        % T1 relaxation in the complex, s
        ex.T1S=[10 10 10 25];                           % T1 relaxation in the free substrate, s
        ex.ppmC=[-27.2, -29.1 2 2 2 0]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmS=[2 2 2 4]*1e-6;                % chemical shift ppm*1e-6 in substrate
        ex.JC=zeros(ex.Sc.N); % J - coupling in [Hz]                                               
        JHH=-10.48;
        JHC=1.27;        
        JaC=0.01;
        JbC=0.55;
        JC3=20;        
        ex.JC(1,2)=JHH; 
        ex.JC(1,3)=000; ex.JC(2,3)=000;
        ex.JC(1,4)=000; ex.JC(2,4)=000; ex.JC(3,4)=JC3;        
        ex.JC(1,5)=000; ex.JC(2,5)=000; ex.JC(3,5)=JC3; ex.JC(4,5)=JC3;                
        ex.JC(1,6)=JaC; ex.JC(2,6)=JbC; ex.JC(3,6)=JHC; ex.JC(4,6)=JHC; ex.JC(5,6)=JHC; 
        ex.JC=ex.JC+ex.JC';
        
        ex.JS=zeros(ex.Ss.N); % J - coupling in [Hz]\
        ex.JS(1,2)=JC3;        
        ex.JS(1,3)=JC3; ex.JS(2,3)=JC3;                
        ex.JS(1,4)=JHC; ex.JS(2,4)=JHC; ex.JS(3,4)=JHC;        
        ex.JS=ex.JS+ex.JS';
        
        ex.SOc={ex.Sc.P(1,'z')+ex.Sc.P(2,'z'),...
                ex.Sc.P(3,'z')+ex.Sc.P(4,'z')+ex.Sc.P(5,'z'),...
                ex.Sc.P(6,'z'),...
                ex.Sc.PPzz(3,6)+ex.Sc.PPzz(4,6)+ex.Sc.PPzz(5,6)};
        ex.SOcStr={'I_1_Z+I_2_Z',...
                   'I_3_Z+I_4_Z+I_5_Z',...
                   'I_6_Z',...
                   '(I_3_Z+I_4_Z+I_5_Z)I_6_Z'};
        ex.show_c=[1,2,3,4];
                                       
        ex.SOs={ex.Ss.P(1,'z')+ex.Ss.P(2,'z')+ex.Ss.P(3,'z'),ex.Ss.P(4,'z')};        
        ex.SOsStr={'I_1_Z+I_2_Z+I_3_Z','I_4_Z'};
        ex.show_s=[1,2];

        ex.SOsFID={ex.Ss.P(1,'x'),ex.Ss.P(1,'y')};


case "HH-2C-Pyruvate"
        ex.Sc = SpinOperators(6,{'1H','1H','1H','1H','1H','13C'}); %Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'                     }); %dihydrogen (pH2)
        ex.Ss = SpinOperators(4,{          '1H','1H','1H','13C'}); %substrate (S2)
       
        
        % system
        ex.T1C=[0.9,0.9,5,5,5,25];                        % T1 relaxation in the complex, s
        ex.T1S=[5 5 5 25];                           % T1 relaxation in the free substrate, s
        ex.ppmC=[-27.2, -29.1 2 2 2 0]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmS=[2 2 2 4]*1e-6;                % chemical shift ppm*1e-6 in substrate
        ex.JC=zeros(ex.Sc.N); % J - coupling in [Hz]                                               
        JHH=-10.48;
        JHC=-6;        
        JaC=-0.93;
        JbC=0.0;
        JC3=20;        
        ex.JC(1,2)=JHH; 
        ex.JC(1,3)=000; ex.JC(2,3)=000;
        ex.JC(1,4)=000; ex.JC(2,4)=000; ex.JC(3,4)=JC3;        
        ex.JC(1,5)=000; ex.JC(2,5)=000; ex.JC(3,5)=JC3; ex.JC(4,5)=JC3;                
        ex.JC(1,6)=JaC; ex.JC(2,6)=JbC; ex.JC(3,6)=JHC; ex.JC(4,6)=JHC; ex.JC(5,6)=JHC; 
        ex.JC=ex.JC+ex.JC';
        
        ex.JS=zeros(ex.Ss.N); % J - coupling in [Hz]\
        ex.JS(1,2)=JC3;        
        ex.JS(1,3)=JC3; ex.JS(2,3)=JC3;                
        ex.JS(1,4)=JHC; ex.JS(2,4)=JHC; ex.JS(3,4)=JHC;        
        ex.JS=ex.JS+ex.JS';
        
        ex.SOc={ex.Sc.P(1,'z')+ex.Sc.P(2,'z'),...
                ex.Sc.P(3,'z')+ex.Sc.P(4,'z')+ex.Sc.P(5,'z'),...
                ex.Sc.P(6,'z'),...
                ex.Sc.PPzz(3,6)+ex.Sc.PPzz(4,6)+ex.Sc.PPzz(5,6)};
        ex.SOcStr={'I_1_Z+I_2_Z',...
                   'I_3_Z+I_4_Z+I_5_Z',...
                   'I_6_Z',...
                   '(I_3_Z+I_4_Z+I_5_Z)I_6_Z'};
        ex.show_c=[1,2,3,4];
                                       
        ex.SOs={ex.Ss.P(1,'z')+ex.Ss.P(2,'z')+ex.Ss.P(3,'z'),ex.Ss.P(4,'z')};        
        ex.SOsStr={'I_1_Z+I_2_Z+I_3_Z','I_4_Z'};
        ex.show_s=[1,2];

        ex.SOsFID={ex.Ss.P(1,'x'),ex.Ss.P(1,'y')};

    case "HH-2C-Pyruvate[2]"
        ex.Sc = SpinOperators(6,{'1H','1H','1H','1H','1H','13C'}); %Ir-complex
        ex.Sh = SpinOperators(2,{'1H','1H'                     }); %dihydrogen (pH2)
        ex.Ss = SpinOperators(4,{          '1H','1H','1H','13C'}); %substrate (S2)
       
        
        % system
        ex.T1C=[0.9,0.9,5,5,5,25];                        % T1 relaxation in the complex, s
        ex.T1S=[5 5 5 25];                           % T1 relaxation in the free substrate, s
        ex.ppmC=[-27.2, -29.1 2 2 2 0]*1e-6;              % chemical shift ppm*1e-6 in complex
        ex.ppmS=[2 2 2 4]*1e-6;                % chemical shift ppm*1e-6 in substrate
        ex.JC=zeros(ex.Sc.N); % J - coupling in [Hz]                                               
        JHH=-6.55;
        JHC=6;        
        JaC=2.69;
        JbC=0.41;
        JC3=20;        
        ex.JC(1,2)=JHH; 
        ex.JC(1,3)=000; ex.JC(2,3)=000;
        ex.JC(1,4)=000; ex.JC(2,4)=000; ex.JC(3,4)=JC3;        
        ex.JC(1,5)=000; ex.JC(2,5)=000; ex.JC(3,5)=JC3; ex.JC(4,5)=JC3;                
        ex.JC(1,6)=JaC; ex.JC(2,6)=JbC; ex.JC(3,6)=JHC; ex.JC(4,6)=JHC; ex.JC(5,6)=JHC; 
        ex.JC=ex.JC+ex.JC';
        
        ex.JS=zeros(ex.Ss.N); % J - coupling in [Hz]\
        ex.JS(1,2)=JC3;        
        ex.JS(1,3)=JC3; ex.JS(2,3)=JC3;                
        ex.JS(1,4)=JHC; ex.JS(2,4)=JHC; ex.JS(3,4)=JHC;        
        ex.JS=ex.JS+ex.JS';
        
        ex.SOc={ex.Sc.P(1,'z')+ex.Sc.P(2,'z'),...
                ex.Sc.P(3,'z')+ex.Sc.P(4,'z')+ex.Sc.P(5,'z'),...
                ex.Sc.P(6,'z'),...
                ex.Sc.PPzz(3,6)+ex.Sc.PPzz(4,6)+ex.Sc.PPzz(5,6)};
        ex.SOcStr={'I_1_Z+I_2_Z',...
                   'I_3_Z+I_4_Z+I_5_Z',...
                   'I_6_Z',...
                   '(I_3_Z+I_4_Z+I_5_Z)I_6_Z'};
        ex.show_c=[1,2,3,4];
                                       
        ex.SOs={ex.Ss.P(1,'z')+ex.Ss.P(2,'z')+ex.Ss.P(3,'z'),ex.Ss.P(4,'z')};        
        ex.SOsStr={'I_1_Z+I_2_Z+I_3_Z','I_4_Z'};
        ex.show_s=[1,2];

        ex.SOsFID={ex.Ss.P(1,'x'),ex.Ss.P(1,'y')};
              
        otherwise
            disp("error, no such system");

    end
end

