function plot_kinetics_2D(ex)
    font_small = 18;
    font_large = 20;
    figure('Name','MAX Polarisation Transfer','Color','white','NumberTitle','off','DefaultAxesFontSize',font_small);
    ax=axes('Box','on');
    ax.set('FontSize',20,'FontName','Arial','TickDir','out','TickLength',[0.02 0.025],'XMinorTick','on','YMinorTick','on','Box','on','LineWidth',3);
    %colormap("parula");
    colormap("jet");
    [X,Y]=meshgrid(ex.X,ex.Y);
    Z=ex.Z;    

    %sur = surf(X,Y,Z,"EdgeColor","none"); 
    contourf(X,Y,Z,'edgecolor','none')
      
    %ylabel("T1 [ms]","FontSize",font_large)
    %xlabel("T2 [ms]","FontSize",font_large)
    a=colorbar('Ticks',[0,0.2,0.4,0.6,0.8,1]);
    %a=colorbar();
    %ylabel(a,'|Polarization per proton|','FontSize',font_large,'Rotation',270);
    a.Label.Position(1) = 4.4;
    view(2)
    drawnow;
    %title('MAX Polarisation Transfer PHINEPTplus');
    switch ex.Pulse_sequence
        case 'phINEPTplus'
              axis([4,11,4,11,0,2]); % phINEPT+ 
              % saveas(gcf,'P:\section\own_contributions\papers\2023_CA_AP_SABRE\figure\figure 1\Acetonitrile_phINEPT+_image2D.png') % phINEPT+
        case 'ESOTHERIC'
              axis([3,8,3,8,0,2]); % ESOTHERIC 
              % saveas(gcf,'P:\section\own_contributions\papers\2023_CA_AP_SABRE\figure\figure 1\Acetonitrile_Esotheric_image2D.png') % ESOTHERIC
    end 
end