function Yout = sabre_exC_ULF_SLIC(ex)
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% nonpolorized initial spin state of the Ir-complex and substrate
    rC0=DensityMatrix(ex.Sc.U);        
    rC=rC0;
            
    NC2=ex.Sc.Nstates^2;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% relaxation superoperator of the Ir-complex and substrate
    RsC=RLFF_EN(ex.Sc,ex.T1C);    
    %% Yout matrix %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    Zero=zeros(length(ex.offsetv),length(ex.v1v),length(ex.timeRFv)); %zero matrix for data output
    Yout.c=cell(length(ex.SOc),1);    
    for ik = 1:length(ex.SOc)                    
        Yout.c{ik}=Zero;                    
    end    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% calculate SLIC-SABRE experiment             
    HcB=2*pi*HZJij(ex.Sc,ex.ppmC,ex.JC,ex.B0,"full");   
    SABRE=SABRE_exC_matrix(rC0,ex.Sc,HcB,RsC,...
                                   ex.Sh,ex.fpH,ex.Kd);
    Yout.SABRE = SABRE;
       
    vec0=(expm(SABRE.A*ex.prebubble))*mtz2vec(rC0.val);
    
    for iof=1:length(ex.offsetv) 
        disp(iof/length(ex.offsetv)*100);
        vrf=ex.vrfv(iof);
        
        for iv1=1:length(ex.v1v)                                    
            v1=ex.v1v(iv1);                        
            HC_RF=2*pi*HZJij_RF_ULF(ex.Sc,ex.ppmC,ex.JC,ex.B0,v1,vrf,"X");
            SABRE_RF=SABRE_exC_matrix(rC0,ex.Sc,HC_RF,RsC,...
                                   ex.Sh,ex.fpH,ex.Kd);
            
            for it=1:length(ex.timeRFv)
                timeRF=ex.timeRFv(it);                                                
                rC.val=vec2mtz(expm(SABRE_RF.A*timeRF)*vec0);                
                Ytc=real(Amplitudes(rC,ex.SOc));
                for ik = 1:length(ex.SOc)                    
                    Yout.c{ik}(iof,iv1,it)=real(Ytc(ik));                    
                end                
            end
        end
    end
end

