function Yout = sabre_exC_ULF_ic_v1SWEEP_adiabatic_phase(ex)
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %Yout.ic=real(Amplitudes(ex.rC,ex.SOc))*100    % initial values before adiabatic pulse
    %asdf
          
    %% nonpolorized initial spin state of the Ir-complex and substrate             
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% relaxation superoperator of the Ir-complex and substrate
    RsC=RLFF_EN(ex.Sc,ex.T1C);    
    %% Yout matrix %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    Zero=zeros(length(ex.Ad.phase),1); %zero matrix for data output
    Yout.c=cell(length(ex.SOc),1);    
    for ik = 1:length(ex.SOc)                    
        Yout.c{ik}=Zero;                    
    end    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% calculate SLIC-SABRE experiment             
       
    for iph=1:length(ex.Ad.phase) 
        disp(iph/length(ex.Ad.phase)*100);                       
        v1=ex.v1v;                                    
        v1shape = 2*(ex.Ad.field_amplification*v1)*sin(ex.Ad.phase(iph)+2*pi*(ex.vrf+ex.Ad.delta*ex.Ad.time/ex.Ad.T).*ex.Ad.time).*(ex.Ad.T-ex.Ad.time)/ex.Ad.T;
        rC=ex.rC; 
        vec=mtz2vec(rC.val);
        for ia=1:ex.Ad.N                    
            HC_Ad=2*pi*HZJij_RF_ULF(ex.Sc,ex.ppmC,ex.JC,ex.B0,v1shape(ia),0,"X");
            SABRE_Ad=SABRE_exC_matrix(rC,ex.Sc,HC_Ad,RsC,...
                               ex.Sh,ex.fpH,ex.Kd);
            vec=(expm(SABRE_Ad.A*ex.Ad.dt)*vec);
        end
        rC.val=vec2mtz(vec);  
        Ytc=real(Amplitudes(rC,ex.SOc));
        for ik = 1:length(ex.SOc)                    
            Yout.c{ik}(iph)=real(Ytc(ik));                    
        end                 
    end
    
end
             