function Yout = sabre_exC_tB(ex)
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% nonpolorized initial spin state of the Ir-complex and substrate
    rC0=DensityMatrix(ex.Sc.U);        
    rC=rC0;
        
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% relaxation superoperator of the Ir-complex and substrate
    RsC=RLFF_EN(ex.Sc,ex.T1C);    
    %% Yout matrix %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    
    Zero=zeros(length(ex.tv),length(ex.Bv)); %zero matrix for data output        
    Yout.c=cell(length(ex.SOc),1);    
    for ik = 1:length(ex.SOc)                    
        Yout.c{ik}=Zero;                    
    end    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% calculate SHEATH-SABRE experiment 
    for iB=1:length(ex.Bv)
        print_progress((iB-1)/length(ex.Bv));
        B=ex.Bv(iB);
        % delay         
        HcB=2*pi*HZJij(ex.Sc,ex.ppmC,ex.JC,B,"full");        
        SABRE=SABRE_exC_matrix(rC0,ex.Sc,HcB,RsC,...
                                   ex.Sh,ex.fpH,ex.Kd);
        for it=1:length(ex.tv)
            t=ex.tv(it);
            SAt=expm(SABRE.A*t);                                                
            rC.val=vec2mtz(SAt*mtz2vec(rC0.val));                                            
            Yc=real(Amplitudes(rC,ex.SOc));            
            for k=1:length(ex.SOc)
                Yout.c{k}(it,iB)=Yc(k);
            end           
        end
    end
    Yout.SABRE=SABRE;
    Yout.rC=rC;
end


