% here is an example of simulations of 1D NMR spectrum using Bloch class
clear all
close all 
% 90y - FID
tic
p                   = LoadPath()                                           ;

% declaration of spins

Spec.System         = SPINS_Systems(2)                                     ; % 1 = A, 2 = AB, 3 = ABC
[Spec.T1,Spec.T2,Spec.C,Spec.wz,Spec.K] = Load_SPINS_Systems(Spec.System)  ; 
Spec.M              = SPINS(Spec.T1,Spec.T2,Spec.C)                        ; 

%% sepctral parameters

Spec.lb             = 10                                                    ; % linebroadening [Hz]
Spec.sw             = 1000                                                 ; % Sampling frequency                    
Spec.td             = 2^13                                                 ; % Length of signal
Spec.si             = Spec.td*2                                            ; % Length of signal after zerofilling
Spec.time           = (0:Spec.td-1)'/Spec.sw                               ; % Time vector
Spec.time2relax     = 100*max(Spec.T1)                                     ;
Spec.p1 = 90                                                               ; % excitation angle in degrees
Spec.ph1 = "Y"                                                             ; % excitation phase in X,Y,-X,-Y
Spec.Integral_width = 20                                                   ; % Hz

%% calculate experiment
Spec                = Spec.M.zg_Ex(Spec)                                   ; 

%% Plot 2D spectrum 

Spec                = Spec.M.Spectrum(Spec)                                ; % Calculate spectrum

% plot spectrum
Spec.M.Plot_Spectrum(Spec)                                                 ; % plot spectrum

toc
%% analyze integrals

for id_spin = 1:Spec.M.N
    Spec.Integrals_range(id_spin,:)  = Spec.wz(id_spin)/(2*pi)+[-1,1]*Spec.Integral_width/2                ;
    [Spec.Integrals(id_spin,1),~,~]  = D1_integral(Spec.Proc.frq,Spec.Proc.Spectrum,Spec.Integrals_range(id_spin,:)) ;
    fprintf("integral id %.0f \n",id_spin)                                 ;
    fprintf("range %.4f %.4f \n", Spec.Integrals_range(id_spin,:))         ;
    fprintf("value %f \n",Spec.Integrals(id_spin))                         ;
end




