% here is an example of simulations of 1D NMR spectrum using Bloch class
% 90y - FID

clear all
close all 
tic 
p               = LoadPath()                                               ;

% System parameters
Spec.System     = SPINS_Systems(4)                                         ; % 1 = A, 2 = AB, 3 = ABC, 4 = CsS2->S2
[Spec.T1,Spec.T2,Spec.C,Spec.wz,Spec.K]  = Load_SPINS_Systems(Spec.System) ;

% Declaration of spins
Spec.M          = SPINS(Spec.T1,Spec.T2,Spec.C)                            ; 
Spec.time2relax = 1000                                                     ; % This is to let system to reach steady state
Spec.time_mix   = linspace(0,4,20)'                                        ;

% sepctral parameters
Spec.lb         = 2                                                        ; % Linebroadening [Hz]
Spec.sw         = 2000                                                     ; % Sampling frequency                    
Spec.td         = 2^13                                                     ; % Length of signal
Spec.si         = Spec.td*4                                                ; % Length of signal after zerofilling

Spec.d1         = 10                                                       ; % Time beforetotal acquisition time
Spec.selective_excitation = [1]                                            ; % Excite with selective excitation spin 1
Spec.Integral_width       = 40                                             ; % Hz this is the integration width
Spec.ds                   = 8                                              ; % Dummy scans
Spec.ph0                  = 0                                              ;
Spec.o1                   = 0                                              ; % rotating frame of reference during SOT
Spec.Integrals_range      = Spec.wz'*[1,1]/(2*pi)+[-1,1]*Spec.Integral_width/2  ;

% Simulation of SEXY experiment
Spec                     = Spec.M.SEXY(Spec)                               ; % Calculate sexy sequence
Spec                     = Spec.M.proc_all_1D(Spec)                        ; % calculate spectrum
Spec.M. Plot_Spectra(Spec)                                                 ; % Plot spectra of sexy experiment

%             Spec.Integrals_range = zeros(M.N,2)                          ;
%             for id_spin = 1:M.N
%                 Spec.Integrals_range(id_spin,:) = Spec.wz(id_spin)/(2*pi)+[-1,1]*Spec.Integral_width/2 ;
%             end

%% plot Sexy integrals
figure("color","white")
plot(Spec.time_mix,Spec.Integrals,"o")                                     ;
Spec.Legends    = {"1","2","3","4","5"}                                    ;
legend(Spec.Legends{1:Spec.M.N})
ylabel("Integral (norm.)")
xlabel("Time mix (s)")

toc
%% save SEXY integrals
% % save integrals
% out = [Spec.time_mix,Spec.Integrals]                                       ;
% save("SEXY_mixingtime_integrals.txt","out","-ASCII")                       ;
% % save normolised integrals on max value
% out = [Spec.time_mix,Spec.Integrals/max(max(abs(Spec.Integrals)))]         ;
% save("SEXY_mixingtime_normintegrals.txt","out","-ASCII")                   ;
% % save ranges of integrals
% out = [Spec.Integrals_range]                                               ;
% save("SEXY_integrals_ranges_Hz.txt","out","-ASCII")                        ;
% % save all SEXY parameters
% save("SEXY_experiment","Spec")

