%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%System="HH-Rh-PP-PP";
System="HH-Rh-PP-PP-HH";
ex=Load_SABRE_System(System);

ex.Folder="out\";
%% Field parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Bv=linspace(0.1,50,402)'*1e-3;   % delay/storage external magnetic field, T
%ex.Bv=logspace(log10(0.01),log10(2e1),1402)'*1e-6;   % delay/storage external magnetic field, T
%% calculate pulsed SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
rC0=DensityMatrix('100%_SingletSpinOrder',ex.Sc,1,2);
Yout = zeros(length(ex.Bv),length(ex.SOc));
    
for ib=1:length(ex.Bv)            
    B=ex.Bv(ib);
    H=2*pi*HZJij(ex.Sc,ex.ppmC,ex.JC,B,"full");
    [Q,E] = eig(full(H));
    rC=rC0.RemoveCoherences(Q);                
    Yout(ib,:)=real(Amplitudes(rC,ex.SOc));                    
end

% %% save data %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% save_all_onefield(System,Yout{1}*100,ex);
out = [ex.Bv Yout];
save("onefield.dat","out","-ASCII");
 
%% rhos
figure("Color","white")
%plot(ex.Bv,Yout*100,"LineWidth",2);
semilogx(ex.Bv*1e6,Yout*100,"LineWidth",2);
legend(ex.SOcStr);
xlabel("B (uT)");
ylabel("Polarization (%)");
title("SABRE SHEATH ");

%% plot 1H Rh, 31P
figure("Color","white")
%plot(ex.Bv*1e6,[(Yout(:,1)+Yout(:,2)/2),Yout(:,3), (Yout(:,4)+Yout(:,5)/2), (Yout(:,6)+Yout(:,7)/2)] *100,"LineWidth",2);
%legend({'1H';'103Rh';'31Pa';'31Pe'});
%xlabel("B (uT)");
plot(ex.Bv*1e3,[(Yout(:,1)+Yout(:,2)/2),Yout(:,3), (Yout(:,4)+Yout(:,5)/2), (Yout(:,6)+Yout(:,7)/2), (Yout(:,8)+Yout(:,9)/2)] *100,"LineWidth",2);
legend({'1H';'103Rh';'31Pa';'31Pe';'CH2'});
xlabel("B (mT)");

ylabel("Polarization (%)");
title("SABRE SHEATH ");

%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
