%% start %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
tic
p=LoadPath();
%% Load System %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
System=Load_SABRE_System_Name(3);
ex=Load_SABRE_System(System);

ex.Folder="out\";
%% Field parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ex.Bv=linspace(0.001,1,10000)';   % delay/storage external magnetic field, T
B2=1.000; % T final magnetic field

%% calculate pulsed SABRE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Ev = zeros(length(ex.Bv),16);
for ib=1:length(ex.Bv)
    if mod(ib,10)==0
        display(ib/length(ex.Bv)*100)
    end
    B1=ex.Bv(ib);
    H=2*pi*HZJij(ex.Ss,ex.ppmS,ex.JS,B1,"full");
    [Q,E] = eig(full(H));    
    Ev(ib,:) = diag(E)';    
end

c=0;
for ie1=1:15
    for ie2=2:16
        c=c+1;
        FRQ(:,c)=Ev(:,ie1)-Ev(:,ie2);
    end
end

% %% save data %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% save_all_onefield(System,Yout{1}*100,ex);
out = [ex.Bv Ev];
save(ex.Folder+"Energy "+ System+".dat","out","-ASCII");
 
%% rhos
figure("Color","white")
plot(ex.Bv,FRQ,"LineWidth",2);
xlabel("B (T)");
ylabel("Energy Hz");
title("SABRE SHEATH ");
%%%%%%%%%%%%%%% end %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
toc
%%

function B=fieldprof_lin(B1,B2,time)
    B=(B2-B1)*time/time(end) + B1;
end
